<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/allresources/AllResources.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"
	import="pagecode.page.allresources.*,javax.faces.context.FacesContext,com.ibm.sysmgmt.scm.ar.nls.GWMARL"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css" title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/allresources/AllResources.js"></SCRIPT>

<TITLE>All Resources</TITLE>

</HEAD>
<%
	FacesContext fc = FacesContext.getCurrentInstance();
	AllResources pageCode = (AllResources) fc
			.getApplication().createValueBinding(
			"#{pc_AllResources}").getValue(fc);
%>
<f:view>
	<BODY onLoad="setLastRefreshDate()">
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_AllResources.onPageLoadBegin}">
	
	<jsp:include page="LocateShell.jsp"></jsp:include>
	
	<h:form id="form1" target="_parent">
	
	<%-- ******************** Hidden Menu Action Button *****************************--%>
	<hx:commandExButton id="physical_resources_launcher" style="display:none" action="#{pc_AllResources.physicalResources}"></hx:commandExButton>
	<hx:commandExButton id="storage_launcher" style="display:none" action="#{pc_AllResources.storage}"></hx:commandExButton>
	<hx:commandExButton id="longrunning_task_launcher" style="display:none" action="#{pc_AllResources.longRunningTasks}"></hx:commandExButton>
	<hx:commandExButton id="devicelog_launcher" style="display:none" action="#{pc_AllResources.deviceLog}"></hx:commandExButton>
	<hx:commandExButton id="collect_supportdata_launcher" style="display:none" action="#{pc_AllResources.collectSupportData}"></hx:commandExButton>
	
	
	<h:inputHidden id="isControllerSelected" value="false"></h:inputHidden>
	<h:inputHidden id="isHostSelected" value="false"></h:inputHidden>
	
	<h:outputText id="minus_alt" value="#{bundle.Common_Expanded}" style="display: none"></h:outputText>
	<h:outputText id="plus_alt" value="#{bundle.Common_Collapsed}" style="display: none"></h:outputText>
	
	<%if(false == pageCode.isSuppressInlineMessage()) {%>
		<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
	<%} %>
	
	<h:outputText id="description" styleClass="scm_outputText" value="#{bundle.AllResources_Directions}"></h:outputText>
	
	<BR>
	
	<!-- ----------------------------------------- REFRESH -------------------------------------- -->
	<table width="100%">
		<tbody>
			<tr>
				<td align="right">
					<h:outputText id="lastRefreshLabel" styleClass="scm_outputText" value="#{bundle.Common_Label_LastRefresh}"></h:outputText>
					<span class="scm_outputText" id="lastRefreshTimestamp"></span>
				</td>
			</tr>
		</tbody>
	</table>	
	
	<!-- ----------------------------------------- ACTIONS AREA -------------------------------------- -->
	
	<table class="scm_DataTable_ActionArea" style="width:100%;padding:5px 0px 7px 0px;">
		<tbody>
			<tr>
				<td width="15px" align="center">
					<hx:graphicImageEx value="images/expandcollapse/plus.gif" id="expandAll" style="cursor: pointer" onclick="expandAll()" alt="#{bundle.AllResources_ExpandAll}" 
						title="#{bundle.AllResources_ExpandAll}" tabindex='0' onkeyup='selfClick(this,event);'>
					</hx:graphicImageEx>
				</td>
				<td width="15px" align="center">	
					<hx:graphicImageEx value="images/expandcollapse/minus.gif" id="collapseAll" style="cursor: pointer" onclick="collapseAll()" alt="#{bundle.AllResources_CollapseAll}"
						title="#{bundle.AllResources_CollapseAll}" tabindex='0' onkeyup='selfClick(this,event);'>
					</hx:graphicImageEx>
				</td>
				<td align="right">
					<h:commandButton id="addHostButton" type="button" value="#{bundle.AllResources_AddHost}" onclick="addHostClicked()"  styleClass="scm_button"></h:commandButton>
				</td>
				<td style="margin:0px 5px 0px 5px; width: 35%;" align="left">
				
					<!-- ----------------------------------------- ACTIONS MENU -------------------------------------- -->
					
					<hx:panelMenu flyOpen="false" id="actionsMenu" styleClass="scm_actionMenu">
						<f:facet name="header">
							<h:panelGroup id="btn_group">
								<hx:commandExButton value="#{bundle.ControllerProperties_Menu_Actions}" id="action_btn" styleClass="scm_actionMenu_Button"></hx:commandExButton>
								<hx:graphicImageEx value="/images/menu/sortdescon.gif" id="btn_img" styleClass="scm_actionMenu_Button_Icon" alt="#{bundle.Common_Menu_Actions}"></hx:graphicImageEx>
	  						</h:panelGroup>
						</f:facet>
						
						<!-- -----------------------------------------  ADD HOST -------------------------------------- -->
						<hx:outputLinkEx id="addHostLink" value="javascript:;" onclick="addHostClicked();" >
							<h:outputText id="addHostText" styleClass="scm_outputText" value="#{bundle.AllResources_AddHost}"></h:outputText>
						</hx:outputLinkEx>
						
						<!-- -----------------------------------------  REMOVE HOST -------------------------------------- -->
						<hx:outputLinkEx id="removeHostLink" value="javascript:;" onclick="">
							<h:outputText id="removeHostText" styleClass="scm_outputText" value="#{bundle.AllResources_RemoveHost}"></h:outputText>
							
							<f:attribute name="itemDisabled" value="true" />
						</hx:outputLinkEx>
						
						<!-- -----------------------------------------  RETRY CONNECTION -------------------------------------- -->
						<hx:outputLinkEx id="retryConnectionLink" value="javascript:;" onclick="">
							<h:outputText id="retryConnectionText" styleClass="scm_outputText" value="#{bundle.AllResources_RetryConnection}"></h:outputText>
							
							<f:attribute name="itemDisabled" value="true" />
						</hx:outputLinkEx>
						
						<hx:outputSeparator id="separatorBelowRemoveHost"></hx:outputSeparator>
						
						<!-- -----------------------------------------  PROPERTIES -------------------------------------- -->
						<hx:outputLinkEx id="propertiesLink" value="javascript:;" onclick="">
							<h:outputText id="propertiesText" styleClass="scm_outputText" value="#{bundle.AllResources_Properties}"></h:outputText>
							
							<f:attribute name="itemDisabled" value="true" />
						</hx:outputLinkEx>
						
						<hx:outputSeparator id="separatorBelowProperties"></hx:outputSeparator>
						
						<!-- -----------------------------------------  PHYSICAL RESOURCES -------------------------------------- -->
						<hx:outputLinkEx id="physicalResourcesLink" value="javascript:;" onclick="">
							<h:outputText id="physicalResourcesText" styleClass="scm_outputText" value="#{bundle.AllResources_PhysicalResources}"></h:outputText>
							
							<f:attribute name="itemDisabled" value="true" />
						</hx:outputLinkEx>
						
						<hx:outputSeparator id="separatorBelowPhysicalResources"></hx:outputSeparator>
						
						<!-- -----------------------------------------  STORAGE -------------------------------------- -->
						<hx:outputLinkEx id="storageLink" value="javascript:;" onclick="">
							<h:outputText id="storageText" styleClass="scm_outputText" value="#{bundle.AllResources_Storage}"></h:outputText>
							
							<f:attribute name="itemDisabled" value="true" />
						</hx:outputLinkEx>
						
						<hx:outputSeparator id="separatorBelowStorage"></hx:outputSeparator>
						
						<!-- -----------------------------------------  LONG RUNNING TASKS -------------------------------------- -->
						<hx:outputLinkEx id="longRunningTasksLink" value="javascript:;" onclick="">
							<h:outputText id="longRunningTasksText" styleClass="scm_outputText" value="#{bundle.AllResources_LongRunningTasks}"></h:outputText>
							
							<f:attribute name="itemDisabled" value="true" />
						</hx:outputLinkEx>
						
						<!-- -----------------------------------------  LOCATE DRIVES -------------------------------------- -->
						<hx:outputLinkEx id="locateDrivesLink" value="javascript:;" onclick="">
							<h:outputText id="locateDrivesText" styleClass="scm_outputText" value="#{bundle.AllResources_LocateDrives}"></h:outputText>
							
							<f:attribute name="itemDisabled" value="true" />
						</hx:outputLinkEx>
						
						<!-- -----------------------------------------  AUDIT LOG -------------------------------------- -->
						<h:commandLink id="auditLogLink" action="#{pc_AllResources.auditLog}">
							<h:outputText id="auditLogText" styleClass="scm_outputText" value="#{bundle.AllResources_AuditLog}"></h:outputText>
						</h:commandLink>
						
						<!-- -----------------------------------------  DEVICE LOG -------------------------------------- -->
						<hx:outputLinkEx id="deviceLogLink" value="javascript:;" onclick="">
							<h:outputText id="deviceLogText" styleClass="scm_outputText" value="#{bundle.AllResources_DeviceLog}"></h:outputText>
							
							<f:attribute name="itemDisabled" value="true" />
						</hx:outputLinkEx>
					
						<!-- -----------------------------------------  COLLECT SUPPORT DATA -------------------------------------- -->
						<hx:outputLinkEx id="collectSupportDataLink" value="javascript:;" onclick="collectSupportDataClicked()">
							<h:outputText id="collectSupportDataText" styleClass="scm_outputText" value="#{bundle.AllResources_CollectSupportData}"></h:outputText>
						</hx:outputLinkEx>
					</hx:panelMenu>
				</td>
				<td align="right" style="width: 50%;">
					<!-- ----------------------------------------- REFRESH -------------------------------------- -->
					<h:commandButton id="refresh_btn" type="button" value="#{bundle.Common_Button_Refresh}" onclick="parent.refresh()" styleClass="scm_button"></h:commandButton>
				</td>
			</tr>
		</tbody>
	</table>
	
	<!-- ----------------------------------------- TABLE HEADERS -------------------------------------- -->
	<TABLE width='100%' class='scm_DataTable' cellpadding='0' cellspacing='0'id="allresourcesTable" summary='<%=MessageFormatter.formatLabel(GWMARL.AllResources_Table_Summary,null)%>'>

    <THEAD>
    <TR>
    	<TH class="scm_DataTable_Header" align="center" width="5%">
    		<DIV style="overflow: hidden; width: 100%;">
    			&nbsp;
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="40%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="identifierColumnHeader" value="#{bundle.AllResources_Identifier}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="20%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="statusColumnHeader" value="#{bundle.AllResources_Status}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="35%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="typeColumnHeader" value="#{bundle.AllResources_Type}"></h:outputText>
    		</DIV>
    	</TH>
    </TR>
    </THEAD>
    <TBODY>
    <TR>
	    <TD colspan="4">
			<!-- ----------------------------------------- TREE TABLE  -------------------------------------- -->
			<h:outputText id="treetable_html" escape="false" value="#{pc_AllResources.treeTableHTML}"></h:outputText>
		</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<!-- ----------------------------------------- REMOVE HOST MODAL -------------------------------------- -->
	<h:commandButton id="removeHostLauncher" style="display: none" value=""></h:commandButton>
	
	<hx:panelDialog style="width: 400px;" styleClass="scm_panelDialog"
			id="removeHostModal" for="removeHostLauncher" title="#{bundle.AllResources_RemoveHost}">
			
			<table>
				<tbody>
					<tr>
						<td valign="top">
							<hx:graphicImageEx id="removeHostImage" value="images/status/information_30.gif" alt="#{bundle.Common_Status_Information}"></hx:graphicImageEx>
						</td>
						<td valign="top">
							<h:outputText id="removeHostDirections" styleClass="scm_outputText" value="#{bundle.AllResources_RemoveHostDirections}" escape="false"></h:outputText>
						</td>
					</tr>
				</tbody>
			</table>
			
			<BR>
			
			<h:commandButton id="removeHostModalOK" value="#{bundle.Common_OK}" action="#{pc_AllResources.removeHost}" styleClass="scm_button"></h:commandButton>
				
			<h:commandButton id="removeHostModalCancel" value="#{bundle.Common_Cancel}" type="button" styleClass="scm_button">
				<hx:behavior id="removehost_behavior" event="onclick" targetAction="removeHostModal" behaviorAction="hide;"></hx:behavior>
			</h:commandButton>
			
	</hx:panelDialog>
	
	<!-- Spacing so the menu fits and goes in the right direction -->
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	</h:form>
	<%if(false == pageCode.isSuppressInlineMessage()) {%>
		<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
	<%} %>
	
	<%-- ***************COMMON PANEL DIALOG must include it out of the <h:form/> tag ****************** --%>
	<jsp:include flush="true" page="/page/common/PanelDialog.jsp">
	</jsp:include>

	<h:outputText id="controller_dialog_title" value="#{pc_AllResources.controllerDialogDefaultTitle}" style="display:none"></h:outputText>
	<h:outputText id="host_dialog_title" value="#{pc_AllResources.hostDialogDefaultTitle}" style="display:none"></h:outputText>
	<h:outputText id="retry_connection_dialog_title" value="#{pc_AllResources.retryConnectionDialogDefaultTitle}" style="display:none"></h:outputText>
	
	</hx:scriptCollector>
	
	</BODY>
</f:view>

</HTML>
