<%-- jsf:pagecode language="java" location="/src/pagecode/page/allresources/LocateShell.java" --%><%-- /jsf:pagecode --%>

<%@ include file="/page/common/Header.jsp"%>

<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="pagecode.page.allresources.*"%>
<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>
<SCRIPT type="text/javascript" src="page/allresources/Locate.js"></SCRIPT>
<f:subview id="locateSubview">
		<hx:scriptCollector id="scriptCollector">
		<div id="locate_form_div" style="display:none">
			<form id="locateForm" action="faces/page/allresources/Locate.jsp" 
				method="post" target="locateDynamicFrame"
				enctype="application/x-www-form-urlencoded">
			</form>
		</div>
		<!-- ----------------------------------------- CONSTANTS  -------------------------------------- -->
		<input type="hidden" id="hostConstant" value="<%= Locate.TYPE_HOST %>">
		<input type="hidden" id="controllerConstant" value="<%= Locate.TYPE_CONTROLLER %>">
		<input type="hidden" id="enclosureConstant" value="<%= Locate.TYPE_ENCLOSURE %>">
		<input type="hidden" id="diskConstant" value="<%= Locate.TYPE_DISK %>">
		<input type="hidden" id="volumeConstant" value="<%= Locate.TYPE_VOLUME %>">
		<input type="hidden" id="poolConstant" value="<%= Locate.TYPE_POOL %>">
		
		<input type="hidden" id="startConstant" value="<%= Locate.ACTION_START %>">
		<input type="hidden" id="stopConstant" value="<%= Locate.ACTION_STOP %>">
		
		<input type="hidden" id="defaultTitleConstant" value="<%= LocateShell.getDefaultTitle() %>">
		
		<!-- ----------------------------------------- MODAL  -------------------------------------- -->
		<h:commandButton id="locateLauncher" type="button" style="display: none" value=""></h:commandButton>
		
		<hx:panelDialog
			title="Locate" 
			id="locateModal" 
			style="width:500px;"
			showTitleCloseButton="false" 
			styleClass="scm_panelDialog"
			for="locateLauncher">
			
			<hx:jspPanel id="panel">

			<DIV id="locateLoadingDiv">
				<TABLE>
					<TR>
						<TD valign="middle">
							<IMG src="images/loading/loading_large.gif" alt="" />
						</TD>
						<TD valign="middle">
							<h:outputText id="loadingLocateMessage" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
						</TD>
					</TR>
				</TABLE>
			</DIV>
	
			<DIV id="locateDynamicDiv">
				<iframe id="locateDynamicFrame" name="locateDynamicFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Locate_Dynamic_Frame_Title, null)%>" style="height: 1px;" width="100%" scrolling="no" frameborder="0" src=""></iframe>
				
				<BR>
				<BR>
				
				<hx:commandExButton id="stopLocatingButton" type="button" styleClass="scm_button" value="#{bundle.Locate_Stop}" onclick="locateObject.stopLocate()"  styleClass="scm_button">
				</hx:commandExButton>
				<hx:commandExButton id="hiddenStopLocatingButton" type="button" style="display: none">
					<hx:behavior id="locatemodal_behavior" event="onclick" targetAction="locateModal" behaviorAction="hide;"></hx:behavior>
				</hx:commandExButton>
				<hx:commandExButton id="OKButton" type="button" styleClass="scm_commandExButton" styleClass="scm_button" value="#{bundle.Common_OK}"  style="display:none;">
					<hx:behavior id="okBtn_behavior" event="onclick" targetAction="locateModal" behaviorAction="hide;"></hx:behavior>
				</hx:commandExButton>
			</DIV>
			
			</hx:jspPanel>
		</hx:panelDialog>
		
		</hx:scriptCollector>

</f:subview>
