<%@ page import="com.ibm.sysmgmt.scm.ar.common.FormatterUtils" %>
<%
	response.setHeader("Pragma","No-cache"); 
	response.setHeader("Cache-Control","no-cache"); 
	response.setDateHeader("Expires", -1); 
	
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
	
	String dateTimeFormatPattern = FormatterUtils.escapeSymbolQuotes(FormatterUtils.getDateTimePattern());
	String decimalFormatPattern = FormatterUtils.escapeSymbolQuotes(FormatterUtils.getDecimalFormatPattern());
	String decimalPercentFormatPattern = FormatterUtils.escapeSymbolQuotes(FormatterUtils.getDecimalPercentFormatPattern());
	String decimalFormatSymbols = FormatterUtils.escapeSymbolQuotes(FormatterUtils.getDecimalFormatSymbols());
	String decimalSeparatorSymbol = FormatterUtils.escapeSymbolQuotes(FormatterUtils.getDecimalSeparatorSymbol());
%>
<SCRIPT>
	// For use in scripts
	var basePath = "<%= basePath %>";
	var alertUserWhenAJAXCompletes = false;
	
<%
	com.ibm.sysmgmt.scm.ar.common.SCMSessionData data = com.ibm.sysmgmt.scm.ar.common.SCMSessionData.getInstance();
	if (data.alertUserWhenAJAXCompletes()) {
%>
	alertUserWhenAJAXCompletes = true;
<%
	}
%>	
	var datetimeFormatPattern = "format:" + "<%= dateTimeFormatPattern %>";
	var decimalFormatPattern = "pattern:" + "<%= decimalFormatPattern %>";
	var decimalPercentFormatPattern = "pattern:" + "<%= decimalPercentFormatPattern %>";
	var decimalFormatSymbols = "locale:" + "<%= decimalFormatSymbols %>";
	//pattern string derived from server side should be tranlated to fit client side encoding
	decimalFormatSymbols = decimalFormatSymbols.replace(/\u00A0/g," ");
	var decimalSeparatorSymbol = "<%= decimalSeparatorSymbol %>";
	
</SCRIPT>
<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter" %>