<%-- jsf:pagecode language="java" location="/src/pagecode/page/common/InlineMessages.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">
<f:subview id="inlineMessagesSubView">
	<hx:scriptCollector id="scriptCollector" postRender="#{pc_InlineMessages.onPageLoadEnd}">
	<hx:jspPanel id="content_holder">
	<div id="message_holder" style="visibility:hidden">
	<hx:dataIterator value="#{pc_InlineMessages.messages}" var="message"
		rendered="#{pc_InlineMessages.hasMessage}" id="message_iterator">
		<hx:jspPanel id="message_panel">
			<table class="scm_inlineMessageTable" width="100%">
				<tr>
					<td valign="middle" width="1%">
						<hx:graphicImageEx id="sevImage" value="#{message.severityImage}" alt="#{message.severityAltText}" title="#{message.severityAltText}"></hx:graphicImageEx>
					<td valign="top">
						<h:outputText id="msg_title" styleClass="scm_outputTextTitle2" value="#{message.title}"></h:outputText>
						<BR>
						<h:outputText id="msg_body" styleClass="scm_outputText" value="#{message.text}"></h:outputText>
						<BR>
						<BR>
						<A href="javascript:;" id="close" onclick="inlineMessagesObj.setCloseFlag(true);inlineMessagesObj.selfClose(getParentNodeByName(this,'table'), event);" class="scm_plainLink"><h:outputText id="close_text" value="#{bundle.Common_Button_Close}"></h:outputText></A>
					</td>
				</tr>
			</table>
		</hx:jspPanel>
	</hx:dataIterator>
	</div>
	<SCRIPT type="text/javascript" src="<%=basePath%>page/common/inlineMessages.js"></SCRIPT>
	</hx:jspPanel>
	</hx:scriptCollector>
</f:subview>
