<%-- jsf:pagecode language="java" location="/src/pagecode/page/common/PanelDialog.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
	<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>
<%@ include file="/page/common/Header.jsp"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<BASE href="<%=basePath%>">
<f:subview id="common_panel_dialog">
	<hx:jspPanel id="panel_dialog_jsppanel">
		<div id="form_div" style="display:none">
			<form id="paneldialog_form">
			</form>
		</div>
		<script type="text/javascript" src="page/common/PanelDialog.js"></script>
		<hx:panelDialog id="panel_dialog" movable="true" initiallyShow="false"
			saveState="false" onshow="panelDialogObj.onDialogShow(this,event);"
			onhide="panelDialogObj.onDialogHide(this,event);" type="modal"
			showTitleCloseButton="true"
			style="width:#{param.width == null ? '620px' : param.width};"
			styleClass="scm_panelDialog"
			title="#{param.title == null ? 'TODO' : param.title}" valign="top">
			<hx:jspPanel id="panle_body_jsppanel">
				<hx:commandExButton type="button" value="openDialog"
					id="dialog_launcher" style="display:none">
					<hx:behavior id="opendialog_behavior" event="onclick" targetAction="panel_dialog"
						behaviorAction="show;stop;">
					</hx:behavior>
				</hx:commandExButton>
				<div style="padding-bottom:15px;" id="dialog_wait_div"><img
					src="images\loading\loading_large.gif" style="margin-bottom:-14px;" alt=""></img>
				<h:outputText styleClass="scm_outputText" id="loading_label"
					value="#{bundle.Common_Loading_Label}"></h:outputText></div>
				<DIV id="dialog_iframe_div"><iframe id="dialog_iframe"
					name="dialog_iframe" title="<%=MessageFormatter.formatLabel(GWMARL.Dialog_Iframe_Div_Title, null)%>" scrolling="no" style="width:99%; height: 1px;"
					frameborder="0" src=""
					onload="panelDialogObj.onFrameLoadComplete(this,event);">
				</iframe></DIV>
				<hx:commandExButton type="button"
					value="#{bundle.Common_Button_Close}" id="dialog_closer"
					style="display:none">
					<hx:behavior id="closeidalog_behavior" event="onclick" targetAction="panel_dialog"
						behaviorAction="HIDE;STOP" />
				</hx:commandExButton>
			</hx:jspPanel>
		</hx:panelDialog>
	</hx:jspPanel>
</f:subview>
<script type="text/javascript">
	panelDialogObj.init();
</script>
