<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/createpool/CreatePoolConfirmation.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/createpool/CreatePoolConfirmation.js"></SCRIPT>

<TITLE>Create Storage Pool Confirmation</TITLE>

</HEAD>
<f:view>
	<BODY onload="">
	<hx:scriptCollector id="scriptCollector">
		<h:form id="form1">
			<table>
				<tr>
					<td style="width:45px;">
						<hx:graphicImageEx id="information_img" value="/images/status/information_30.gif" alt="#{bundle.Common_Image_Information_Alt}"></hx:graphicImageEx>
					</td>
					<td>
						<h:outputText id="prompt_description" value="#{bundle.CreatePoolEasyConfirmation_Prompt_Description}" styleClass="scm_outputText"></h:outputText>
					</td>
				</tr>
			</table>
			</br>
			<div style="padding-left:50px;">
						<hx:jspPanel id="note_panel"  rendered="#{createPoolConfirmationBean.differentDisks}">
								<h:outputText id="note_label" value="#{bundle.CreatePoolEasyConfirmation_Prompt_Note}" styleClass="scm_outputText"></h:outputText>
								<br>
						</hx:jspPanel>
						<table>
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%--
							<tr>
								<td>
									<h:outputText id="poolname_label" value="#{bundle.CreatePoolEasyConfirmation_Label_StoragePoolName}" styleClass="scm_outputText"></h:outputText>
								</td>
								<td>
									<h:outputText id="poolname" value="#{createPoolConfirmationBean.poolName}" styleClass="scm_outputText"></h:outputText>
								</td>
							</tr>
--%>
							<tr>
								<td>
									<h:outputText id="raidlevel_label" value="#{bundle.CreatePoolEasyConfirmation_Label_RAIDLevel}" styleClass="scm_outputText"></h:outputText>
								</td>
								<td>
									<h:outputText id="raidlevel" value="#{createPoolConfirmationBean.raidLevel}" styleClass="scm_outputText"></h:outputText>
								</td>
							</tr>
							<tr>
								<td>
									<h:outputText id="capacity_label" value="#{bundle.CreatePoolEasyConfirmation_Label_Capacity}" styleClass="scm_outputText"></h:outputText>
								</td>
								<td>
									<h:outputFormat id="capacityGB" value="#{bundle.Common_Capacity_GB}" styleClass="scm_outputText">
										<f:param value="#{createPoolConfirmationBean.capacityText}"></f:param>
									</h:outputFormat>
								</td>
							</tr>
							<tr>
								<td>
									<h:outputText id="disksnumber_label" value="#{bundle.CreatePoolEasyConfirmation_Label_NumberOfDisks}" styleClass="scm_outputText"></h:outputText>
								</td>
								<td>
									<h:outputText id="disksnumber" value="#{createPoolConfirmationBean.diskNumber}" styleClass="scm_outputText"></h:outputText>
								</td>
							</tr>
						</table>
						<div id="table_header_div" style="width:480px;">
						<hx:dataTableEx
						id="pools_table_header" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						style="border-bottom: 0px; table-layout: fixed;"
						rendered="true">
						<hx:columnEx id="drivename_col_header">
							<f:facet name="header">
								<h:outputText id="drivename_header" styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasyConfirmation_TableHeader_DiskDrive}"></h:outputText>
							</f:facet>
							<f:attribute value="192px" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="location_col_header">
							<f:facet name="header">
								<h:outputText id="location_header"
									styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasyConfirmation_TableHeader_Location}"></h:outputText>
							</f:facet>
							<f:attribute value="144px" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="capacity_col_header">
							<f:facet name="header">
								<h:outputText id="capacity_header"
									styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasyConfirmation_TableHeader_RawGB}"></h:outputText>
							</f:facet>
							<f:attribute value="right" name="align" />
						</hx:columnEx>
					</hx:dataTableEx>
					</div>
						<div id="disks_table"
						style="width:480px; height:180px; overflow-y:auto;"><hx:dataTableEx
						id="pools_table" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						value="#{createPoolConfirmationBean.selectedDisks}" var="disk"
						style="border-top: 0px; table-layout: fixed;"
						summary="#{bundle.CreatePoolEasyConfirmation_SelectedDisks_Table_Summary}"
						rendered="true">
						<hx:columnEx id="drivename_col">
							<f:facet name="header">
								<h:outputText id="drivename_tbody_header" styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasyConfirmation_TableHeader_DiskDrive}"></h:outputText>
							</f:facet>
							<h:outputText id="drivesnumber_cell" value="#{disk.displayName}"
								styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="192px" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="location_col">
							<f:facet name="header">
								<h:outputText id="location_tbody_header"
									styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasyConfirmation_TableHeader_Location}"></h:outputText>
							</f:facet>
							<h:outputText id="location_cell"
								value="#{disk.location}" styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="144px" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="capacity_col">
							<f:facet name="header">
								<h:outputText id="capacity_tbody_header"
									styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasyConfirmation_TableHeader_RawGB}"></h:outputText>
							</f:facet>
							<h:outputText id="capacity_cell"
								value="#{disk.capacityString}" styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="right" name="align" />
						</hx:columnEx>
					</hx:dataTableEx>
					</div>
			</div>
			<br>
			<table>
				<tr>
					<td style="width:20%">
						<hx:commandExButton id="ok_btn" value="#{bundle.Common_OK}" type="button" onclick="poolConfirmationObj.doOk()" styleClass="scm_button"></hx:commandExButton>
					</td>
					<td>
						<hx:commandExButton id="cancel_btn" value="#{bundle.Common_Cancel}" type="button" onclick="parent.panelDialogObj.closeDialog()" action="" styleClass="scm_button"></hx:commandExButton>
					</td>
				</tr>
			</table>
			<br>
		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
		