<%-- jsf:pagecode language="java" location="/src/pagecode/page/createvolume/CreateVolumesSummary.java" --%><%-- /jsf:pagecode --%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
	<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
	<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
		title="Style">
	<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
	<script type="text/javascript" src="page/common/DataTable.js"></script>
	<script type="text/javascript" src="page/createvolume/CreateVolumesSummary.js"></script>
	<TITLE>Create Volumes Summary</TITLE>
</head>
<body>
<f:view>
	<h:form id="form1" onsubmit="showWaitCursor(true);">
		<table class="scm_wizard">
		<tr>
			<td class="left">
				<hx:jspPanel id="progressview_panel1" rendered="#{createVolumesSummaryBean.launchedFromPools}">
					<jsp:include flush="true" page="/page/createpool/ProgressView.jsp"></jsp:include>
				</hx:jspPanel>
				<hx:jspPanel id="progressview_panel2" rendered="#{!createVolumesSummaryBean.launchedFromPools}">
					<jsp:include flush="true" page="ProgressView.jsp"></jsp:include>
				</hx:jspPanel>
			</td>
			<td class="right">
				<div id="header">
					<TABLE class="scm_titleArea" width="100%" height="50px" cellpadding="5px">
						<TR>
							<hx:jspPanel id="summarystep_panel" rendered="#{createVolumesSummaryBean.summaryStep}">
								<TD>
									<h:outputText id="title_summary" styleClass="scm_outputTextTitle2" value="#{bundle.CreateVolumesSummary_Title_Summary}"></h:outputText>
									<BR>
									<h:outputText id="desc_summary" styleClass="scm_outputText" value="#{bundle.CreateVolumesSummary_Label_Description_Summary}"></h:outputText>
								</TD>
							</hx:jspPanel>
							<hx:jspPanel id="finishedstep_panel" rendered="#{createVolumesSummaryBean.finishedStep}">
								<TD>
									<h:outputText id="title_finished" styleClass="scm_outputTextTitle2" value="#{bundle.CreateVolumesSummary_Title_Finished}"></h:outputText>
									<BR>
									<h:outputText id="desc_finished" styleClass="scm_outputText" rendered="#{!createVolumesSummaryBean.failureInCreation}" value="#{bundle.CreateVolumesSummary_Label_Description_Finished}"></h:outputText>
									<h:outputText id="desc_failed" styleClass="scm_outputText" rendered="#{createVolumesSummaryBean.failureInCreation}" value="#{bundle.CreateVolumesSummary_Label_Description_Failed}"></h:outputText>
								</TD>
							</hx:jspPanel>
						</TR>
					</TABLE>
				</div>
				<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
				<br/>
				<div id="main">
					<hx:jspPanel id="existingpool_panel" rendered="#{!createVolumesSummaryBean.usingExistingPool}">
					<hx:graphicImageEx id="poolArrowImage" tabindex="0" onkeyup="selfClick(this,event);" value="images/expandcollapse/arrow_right.gif" style="cursor: pointer" alt='#{bundle.Common_Collapsed}' title='#{bundle.Common_Collapsed}' 
											onclick="toggleExpandCollapse(this, 'images/expandcollapse/arrow_right.gif', '#{bundle.Common_Collapsed}', 'images/expandcollapse/arrow_down.gif', '#{bundle.Common_Expanded}', 'pool_info_div')"></hx:graphicImageEx>
					<h:outputText id="storagepools_label" styleClass="scm_outputTextTitle3" value="#{bundle.CreateVolumesSummary_Label_StoragePools}"></h:outputText>
					<h:graphicImage id="pool_state_success" value="images/status/success_30.gif" style="margin-bottom:-10px" alt='#{bundle.Common_Status_Success}'></h:graphicImage>
					<br/><br/>
					<div id="pool_info_div" style="display:none;">
						<table style="align:left; border-width:0;">
							<tr>
								<td style="padding-left: 15px">
									<h:outputText id="poolname_label" styleClass="scm_outputText" value="#{bundle.CreateVolumesSummary_Label_PoolName}"></h:outputText>
								</td>
								<td>
									<h:outputText id="pool_displayname" styleClass="scm_outputText" value="#{createVolumesSummaryBean.pool.displayName}"></h:outputText>
									<h:outputText id="pool_created" style="margin-left:50px" styleClass="scm_outputText" value="#{bundle.CreateVolume_PoolCreateComplete}"></h:outputText>
								</td>
							</tr>
							<tr>
								<td style="padding-left: 35px">
									<h:outputText id="raidlevel_label" styleClass="scm_outputText" value="#{bundle.CreateVolumesSummary_Label_RaidLevel}"></h:outputText>
								</td>
								<td>
									<h:outputText id="raidlevel" styleClass="scm_outputText" value="#{createVolumesSummaryBean.pool.raidLevel}"></h:outputText>
								</td>
							</tr>
							<tr>
								<td style="padding-left: 35px">
									<h:outputText id="disknumber_label" styleClass="scm_outputText" value="#{bundle.CreateVolumesSummary_Label_DiskNumber}"></h:outputText>
								</td>
								<td>
									<h:outputText id="diskcount" styleClass="scm_outputText" value="#{createVolumesSummaryBean.pool.diskCount}"></h:outputText>
								</td>
							</tr>
							<tr>
								<td style="padding-left: 35px">
									<h:outputText id="totalcapacity_label" styleClass="scm_outputText" value="#{bundle.CreateVolumesSummary_Label_TotalCapacity}"></h:outputText>
								</td>
								<td>
									<h:outputFormat id="capacityGB" value="#{bundle.Common_Capacity_GB}" styleClass="scm_outputText">
										<f:param id="capacity_param" value="#{createVolumesSummaryBean.pool.capacityText}"></f:param>
									</h:outputFormat>
								</td>
							</tr>
						</table>
					</div>
					<br/>
					</hx:jspPanel>
					<hx:graphicImageEx id="volumeArrowImage" tabindex="0" onkeyup="selfClick(this,event);" value="images/expandcollapse/arrow_down.gif" style="cursor: pointer" alt='#{bundle.Common_Expanded}'  title='#{bundle.Common_Expanded}'
											onclick="toggleExpandCollapse(this, 'images/expandcollapse/arrow_right.gif', '#{bundle.Common_Collapsed}', 'images/expandcollapse/arrow_down.gif', '#{bundle.Common_Expanded}', 'volume_info_div')"></hx:graphicImageEx>
					<h:outputText id="definevolumes_label" styleClass="scm_outputTextTitle3" value="#{bundle.CreateVolumesSummary_Label_DefineVolumes}"></h:outputText>
					<h:graphicImage id="volume_state" rendered="#{createVolumesSummaryBean.finishedStep}" value="#{createVolumesSummaryBean.volumeCreationStatusImage}" style="margin-bottom:-10px" alt='#{createVolumesSummaryBean.volumeCreationStatusText}'></h:graphicImage>
					<br/><br/>
					<div id="volume_info_div">
						<h:outputText id="createnew_label" style="padding-left: 15px" styleClass="scm_outputText" value="#{bundle.CreateVolumesSummary_Label_CreateNew}"></h:outputText>
						<h:outputText id="volumecount" styleClass="scm_outputText" value="#{createVolumesSummaryBean.volumeCount}"></h:outputText>
						<h:outputText id="volumecreation_status" style="margin-left:50px" styleClass="scm_outputText" value="#{createVolumesSummaryBean.volumeCreationStatusText}"></h:outputText>
						<br/><br/>
						<h:outputText id="details_label" style="padding-left: 15px" styleClass="scm_outputText" value="#{bundle.CreateVolumesSummary_Label_Details}"></h:outputText>
						<div style="width: 97%; margin-left: 15px;">
						<div id="table_header_div" class="scm_DataTableHeader_Div">
						<hx:dataTableEx
								id="volumes_table_header" border="0" cellpadding="0" cellspacing="0"
								headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
								columnClasses="scm_DataTable_Column"
								style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
								rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%">
								<hx:columnEx id="total_col_header">
									<f:facet name="header">
										<h:outputText id="total_header" styleClass="scm_outputText"
											value="#{bundle.CreateVolumesSummary_TableHeader_Total}"></h:outputText>
									</f:facet>
									<f:attribute value="20%" name="width" />
									<f:attribute value="right" name="align" />
								</hx:columnEx>
								<hx:columnEx id="volume_name_col_header">
									<f:facet name="header">
										<h:outputText id="volume_name_header" styleClass="scm_outputText"
											value="#{bundle.CreateVolumesSummary_TableHeader_Name}"></h:outputText>
									</f:facet>
									<f:attribute value="35%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
								<hx:columnEx id="stripe_size_col_header">
									<f:facet name="header">
										<h:outputText id="stripe_size_header" styleClass="scm_outputText"
											value="#{bundle.CreateVolumesSummary_TableHeader_StripeSize}"></h:outputText>
									</f:facet>
									<f:attribute value="22%" name="width" />
									<f:attribute value="right" name="align" />
								</hx:columnEx>
								<hx:columnEx id="status_col_header">
									<f:facet name="header">
										<h:outputText id="status_header" styleClass="scm_outputText"
											value="#{bundle.CreateVolumesSummary_TableHeader_Status}"></h:outputText>
									</f:facet>
									<f:attribute value="23%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
							</hx:dataTableEx>
						</div>
						<div id="table_div" style="width:100%; height:180px; overflow-y:auto; overflow-x: hidden;">
							<hx:dataTableEx
								id="volumes_table" border="0" cellpadding="0" cellspacing="0"
								headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
								columnClasses="scm_DataTable_Column"
								rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
								style="border-top: 0px; table-layout: fixed;"
								summary="#{createVolumesSummaryBean.createVolumesTableSummary}"
								value="#{createVolumesSummaryBean.volumes}" var="volume">
								<hx:columnEx id="total_col">
									<f:facet name="header">
										<h:outputText id="total_tbody_header" styleClass="scm_outputText"
											value="#{bundle.CreateVolumesSummary_TableHeader_Total}"></h:outputText>
									</f:facet>
									<h:outputText id="total_cell" value="#{volume.capacityText}"
										styleClass="scm_outputText">
									</h:outputText>
									<f:attribute value="20%" name="width" />
									<f:attribute value="right" name="align" />
								</hx:columnEx>
								<hx:columnEx id="volume_name_col">
									<f:facet name="header">
										<h:outputText id="volume_name_tbody_header" styleClass="scm_outputText"
											value="#{bundle.CreateVolumesSummary_TableHeader_Name}"></h:outputText>
									</f:facet>
									<h:outputText id="volume_name_cell" value="#{volume.displayName}"
										styleClass="scm_outputText">
									</h:outputText>
									<f:attribute value="35%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
								<hx:columnEx id="stripe_size_col">
									<f:facet name="header">
										<h:outputText id="stripe_size_tbody_header" styleClass="scm_outputText"
											value="#{bundle.CreateVolumesSummary_TableHeader_StripeSize}"></h:outputText>
									</f:facet>
									<h:outputText id="volume_stripe_size_cell" value="#{volume.stripeSizeText}"
										styleClass="scm_outputText"></h:outputText>
									<f:attribute value="22%" name="width" />
									<f:attribute value="right" name="align" />
								</hx:columnEx>
								<hx:columnEx id="status_col">
									<f:facet name="header">
										<h:outputText id="status_tbody_header" styleClass="scm_outputText"
											value="#{bundle.CreateVolumesSummary_TableHeader_Status}"></h:outputText>
									</f:facet>
									<h:outputText id="status_cell" value="#{volume.statusText}"
										styleClass="scm_outputText">
									</h:outputText>
									<f:attribute value="23%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
							</hx:dataTableEx>
						</div>
						</div>
					</div>
				</div>
			</td>
		</tr>
		<tr>
			<td colspan="2" class="bottom">
				<hx:commandExButton id="btn_back"
					value="#{bundle.Common_Button_Back}"
					styleClass="scm_button"
					type="submit" action="#{createVolumesSummaryBean.onBack}">
				</hx:commandExButton>
				<hx:commandExButton id="btn_next"
					value="#{bundle.Common_Button_Next}"
					styleClass="scm_button"
					type="submit" disabled="true">
				</hx:commandExButton>
				<hx:commandExButton id="btn_finish"
					value="#{bundle.Common_Button_Finish}"
					style="margin:0px 5px 0px 5px;"
					onclick="cvsObj.onSubmit('#{bundle.CreateVolume_Label_CreatingVolume}')" 
					type="submit" 
					styleClass="scm_button"
					action="#{createVolumesSummaryBean.onFinish}">
				</hx:commandExButton>
				<hx:commandExButton id="btn_cancel"
					value="#{bundle.Common_Button_Cancel}"
					styleClass="scm_button"
					type="button" disabled="#{createVolumesSummaryBean.disableCancelBtn}"
					onclick="parent.getElementByIdSuffix('form1:widzard_btn_cancel','input').click();">
				</hx:commandExButton>
				<hx:commandExButton id="btn_close"
					value="#{bundle.Common_Button_Close}"
					styleClass="scm_button"
					type="button" style="display:none"
					onclick="parent.getElementByIdSuffix('form1:widzard_btn_cancel','input').click();">
				</hx:commandExButton>
			</td>
		</tr>
		</table>
		<script>cvsObj.init();</script>
	</h:form>
	<hx:jspPanel id="existingpool_panel2" rendered="#{createVolumesSummaryBean.finishedStep && !createVolumesSummaryBean.usingExistingPool}">
		<script>
			$("view:form1:poolArrowImage").onclick();
		</script>
	</hx:jspPanel>
	<hx:jspPanel id="isfinishedstep_panel" rendered="#{createVolumesSummaryBean.finishedStep}">
		<script>
			cvsObj.switchCancelToClose();
			$('view:form1:btn_finish').disabled = true;
			$('view:form1:btn_back').disabled = true;
		</script>
	</hx:jspPanel>
	
	<%--page will be posted to this iframe, this is to keep the posted page alive so that the progress box can work--%>
	<iframe id="target_frame" name="target_frame" title="<%=MessageFormatter.formatLabel(GWMARL.Target_Frame_Title, null)%>" style="display:none"></iframe>
	<jsp:include flush="true" page="/page/common/FloatMessage.jsp"></jsp:include>
	
	<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
</f:view>
</body>
</html>
<script language="javascript">
	setTimeout("dataTableObj.initHeaderDivPaddingWidth('view:form1:volumes_table')", 200);
</script>