<%-- jsf:pagecode language="java" location="/src/pagecode/page/createvolume/ProgressView.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<f:subview id="subview_volume_prog">
	<hx:jspPanel id="prog_panel_1" rendered="#{!pc_VolumeProgressView.poolPreset}">
		<ul>
			<li id="select_pool_1">
	        	<h:outputText id="selectpool_label" styleClass="scm_outputText" value="#{bundle.CreateVolume_Label_SelectPool}"></h:outputText>
			</li>
			<hx:jspPanel id="prog_panel_3" rendered="#{pc_VolumeProgressView.showCreatePool}">
			<li id="create_pool_1">
	        	<h:outputText id="createpool_label" styleClass="scm_outputText" value="#{bundle.CreateVolume_Label_CreatePool}"></h:outputText>
			</li>
			</hx:jspPanel>
			<li id="define_volumes_1">
	        	<h:outputText id="definevolumes_label1" styleClass="scm_outputText" value="#{bundle.CreateVolume_Label_DefineVolumes}"></h:outputText>
			</li>
			<li id="summary_1">
				<h:outputText id="summary_label1" styleClass="scm_outputText" value="#{bundle.CreateVolume_Label_Summary}"></h:outputText>
			</li>
		</ul>
	</hx:jspPanel>
	<hx:jspPanel id="prog_panel_2" rendered="#{pc_VolumeProgressView.poolPreset}">
		<ul>
			<li id="define_volumes_2">
	        	<h:outputText id="definevolumes_label2" styleClass="scm_outputText" value="#{bundle.CreateVolume_Label_DefineVolumes}"></h:outputText>
			</li>
			<li id="summary_2">
				<h:outputText id="summary_label2" styleClass="scm_outputText" value="#{bundle.CreateVolume_Label_Summary}"></h:outputText>
			</li>
		</ul>
	</hx:jspPanel>
	<h:outputText style="display:none;" id="pool_preset" value="#{pc_VolumeProgressView.poolPreset}"></h:outputText>
	<h:outputText style="display:none;" id="step_code" value="#{pc_VolumeProgressView.currentStepCode}"></h:outputText>
	<hx:jspPanel id="javascript_panel">
		<script>
			var stepCode = getElementByIdSuffix("subview_volume_prog:step_code","span").innerHTML;
			var poolPreset = getElementByIdSuffix("subview_volume_prog:pool_preset","span").innerHTML;
			if(poolPreset == "true")
			{
				stepCode = stepCode + "_2";
			}else{
				stepCode = stepCode + "_1";
			}
			var progItem = $(stepCode);
			progItem.className = "selected";
		</script>
	</hx:jspPanel>
</f:subview>