<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/AssignGlobalHotSpareStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<TITLE>Storage</TITLE>
</head>
<f:view>
	<BODY onload="">
	<hx:scriptCollector id="scriptCollector">
		<h:form id="form1">
			<div><h:outputText id="prompt_description"
				value="#{bundle.AssignGlobalHotSpare_Prompt_Description}"
				styleClass="scm_outputText"></h:outputText></div>
			<br>
			<div><h:outputText id="table_title"
				value="#{bundle.AssignGlobalHotSpare_Title_Drives}"
				styleClass="scm_outputTextTitle2"></h:outputText></div>
			<div style="width:100%; height:210px; overflow-y:auto"><img
				src="images\loading\loading_large.gif" style="margin-bottom:-14px;"
				alt=""></img>
				<h:outputText
							id="devicelog_loading"
							value="#{bundle.Wait_LoadingMessage_AssignGlobalSpare}"
							styleClass="scm_outputText"></h:outputText>
				</div>
			<br>
			<table>
				<tbody>
					<tr>
						<td style="width:30%; padding-right:10px;"><hx:commandExButton
							id="ok_btn" value="#{bundle.Common_OK}" type="button"
							disabled="true" styleClass="scm_button"></hx:commandExButton></td>
						<td><hx:commandExButton id="cancel_btn" disabled="true"
							value="#{bundle.Common_Cancel}" type="button" styleClass="scm_button"></hx:commandExButton>
						</td>
					</tr>
				</tbody>
			</table>
			<br>
			<br>
		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
