<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/AssignPoolDedicatedHotSpareView.java" --%><%-- /jsf:pagecode --%>

<%@ include file="/page/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ page language="java" contentType="text/html" pageEncoding="UTF-8" session="false" import="com.ibm.sysmgmt.scm.ar.common.PortletNavigator"%>
<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>
<portlet:defineObjects />
<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/scmstyle.css") %>" title="Style">

<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/common.js") %>"></SCRIPT>
<%
	String poolId = (String)PortletNavigator.getParam(PortletNavigator.PARAM_POOL_ID);
	String param_key = PortletNavigator.PARAM_POOL_ID;
%>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector">
		<h:form id="form1">
		
		
		<div id="staticLoadingDiv">
		<iframe id="staticLoadingFrame" name="staticLoadingFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Static_Loading_Frame_Title, null)%>" style="height:440px;" width="100%"  scrolling="no" frameborder="0" src="<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/storage/AssignPoolDedicatedHotSpareStaticLoadingView.jsp") %>" onload="initDynamicFrame()"></iframe>
		</div>
		
		<div id="dynamicDiv">
		<iframe id="dynamicFrame" name="dynamicFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Dynamic_Frame_Title, null)%>" style="height: 1px;" width="100%" scrolling="no" frameborder="0" onload="stopShellLoading()" src=""></iframe>
		</div>
		
		<%-- *****************HIDDEN BUTTON FOR PORTLET PAGE NAVIGATION *********************--%>
		<hx:commandExButton id="dedicated_spare_cancel_btn" value="close page" action="#{pc_AssignPoolDedicatedHotSpareView.doCancelBtnAction}" type="submit" style="display:none"></hx:commandExButton>
	
		</h:form>
	</hx:scriptCollector>
	</BODY>	
</f:view>
<script language="javascript">
var content_form = getElementByIdSuffix("form1", "form");
var originalTarget = content_form.target;
var originalAction = content_form.action;

function initDynamicFrame()
{
	var poolId = "<%=poolId%>";
	
	attachHiddenInput(content_form, "<%=param_key%>", poolId);
	
	content_form.action = "<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/storage/AssignPoolDedicatedHotSpare.jsp")  %>";
	content_form.method = "post";
	content_form.enctype = "application/x-www-form-urlencoded";
	content_form.target = "dynamicFrame";
	setTimeout("content_form.target = originalTarget; content_form.action = originalAction", 500);
	content_form.submit();
}
</script>
