<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/EditVolumeProperties.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<%@include file="/page/common/Header.jsp"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
<BASE href="<%=basePath%>">
<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/storage/EditVolumeProperties.js"></SCRIPT>
<TITLE>Edit Volume Properties</TITLE>
</head>

<body onload="parent.evpsObj.dynamicFrameLoaded(); evpObj.init();">
<f:view>
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_EditVolumeProperties.onPageLoadBegin}">
		<h:form id="form1">
			<table style="width:100%; border-width:0; vertical-align:middle;">
				<tr>
					<td><h:outputText styleClass="scm_outputText"
						style="display:block; float:left;" id="volume_name_label"
						value="#{bundle.EditVolumeProperties_Label_VolumeName}"></h:outputText>
						<h:outputText
						styleClass="scm_outputText" id="volume_name"
						style="float:left;"
						value="#{editVolumePropertiesBean.volume.displayName}"></h:outputText></td>
					<td style="text-align:right;">
					<a class="scm_plainLink" onclick="javascript:window.open('/help/topic/com.ibm.storage.armr.doc/scm_armr_edit_vol_prop.html?noframes=true','PortletHelpWindow','resizable=yes,scrollbars=yes,menubar=no,toolbar=no,status=no,width=450,height=260,screenX=200,screenY=200,top=200,left=200').focus(); return false;" target="_blank" style="" href="/help/topic/com.ibm.storage.armr.doc/scm_armr_edit_vol_prop.html?noframes=true">
						<h:outputText id="link_text" value="#{bundle.Common_Link_Help}"></h:outputText>
					</a>
					</td>
				</tr>
			</table>
			<br/>
			<h:outputText
				styleClass="scm_outputText" id="decription_write_cache"
				value="#{bundle.EditVolumeProperties_Label_Cache_Description}"></h:outputText>
			<br/>
			<br/>
			<h:outputText
				styleClass="scm_outputText" id="decription_write_back"
				value="#{bundle.EditVolumeProperties_Label_WriteBack_Description}"></h:outputText>
			<br/>
			<br/>
			<h:outputText
				styleClass="scm_outputText" id="decription_write_through"
				value="#{bundle.EditVolumeProperties_Label_WriteThrough_Description}"></h:outputText>
			<br/>
			<br/>
			<table style="width:100%" role="presentation">
				<colgroup span="3">
					<col width="40%"></col>
					<col width="10%"></col>
					<col width="50%"></col>
				</colgroup>
				<tr>
					<td>
						<h:outputText
						styleClass="scm_outputText" id="write_cache_label"
						value="#{bundle.EditVolumeProperties_Label_WriteCache}"></h:outputText>
					</td>
					<td>
						&nbsp;
					</td>
					<td>
						<h:outputText
						styleClass="scm_outputText" id="write_cache_mode_label"
						value="#{bundle.EditVolumeProperties_Label_WriteCacheMode}"></h:outputText>
					</td>
				</tr>
				<tr>
					<td style="border:1px solid gray">
						<div id="write_cache_div" role="radiogroup" aria-labelledby="view:form1:write_cache_label">
						<h:selectOneRadio styleClass="scm_outputText" id="write_cache_select" layout="pageDirection" 
							value="#{editVolumePropertiesBean.writeBackCacheMode}" onchange="evpObj.cacheModeChange(this)">
							<f:selectItems id="cache_mode_items" value="#{editVolumePropertiesBean.writeBackCacheModes}" />
			    		</h:selectOneRadio>
			    		</div>
					</td>
					<td>
						&nbsp;
					</td>
					<td style="border:1px solid gray;vertical-align:top">
						<div id="write_cache_mode_div" role="radiogroup" aria-labelledby="view:form1:write_cache_mode_label">
						<h:selectOneRadio styleClass="scm_outputText" id="write_cache_onfailure_select" layout="pageDirection" value="#{editVolumePropertiesBean.writeBackCacheModeOnBatteryFail}">
							<f:selectItems id="batt_fail_cache_mode_items" value="#{editVolumePropertiesBean.writeBackCacheModesOnBatteryFail}" />
			    		</h:selectOneRadio>
			    		</div>
					</td>
				</tr>
			</table>
			<br/>
			<hx:commandExButton id="btn_ok" type="button" value="#{bundle.Common_OK}" onclick="evpObj.showConfirmOrPost()"  styleClass="scm_button"></hx:commandExButton>
			<hx:commandExButton id="btn_cancel" type="button" value="#{bundle.Common_Cancel}" onclick="evpObj.onCancelClicked()"  styleClass="scm_button"></hx:commandExButton>
			<hx:commandExButton id="confirm_dialog_launcher" style="display:none;" value="" type="button"></hx:commandExButton>
			
			<hx:panelDialog style="width: 400px;" styleClass="scm_panelDialog" id="confirm_dialog" for="confirm_dialog_launcher" showTitleCloseButton="true">
					<table>
						<tbody>
							<tr>
								<td valign="top" rowspan="2">
									<hx:graphicImageEx id="confirm_img" value="images/status/information_30.gif" alt="#{bundle.Common_Status_Information}"></hx:graphicImageEx>
								</td>
								<td valign="top">
									<h:outputText id="confirm_description" styleClass="scm_outputText" value="#{bundle.EditVolumeProperties_Label_Confirm}" escape="false"></h:outputText>
								</td>
							</tr>
						</tbody>
					</table>
					
					<BR>
					
					<hx:commandExButton id="confirm_btn_ok" type="submit" value="#{bundle.Common_OK}" action="#{editVolumePropertiesBean.updateVolumeCacheMode}" styleClass="scm_button" onclick="evpObj.onOKClicked()"></hx:commandExButton>
						
					<hx:commandExButton id="confirm_btn_cancel" value="#{bundle.Common_Cancel}" styleClass="scm_button" type="button">
						<hx:behavior id="cancel_behavior" event="onclick" targetAction="confirm_dialog" behaviorAction="hide;"></hx:behavior>
					</hx:commandExButton>	
			</hx:panelDialog>
			<%-- ***************Hidden Values******************* --%>
			<h:inputHidden id="volumeID" value="#{editVolumePropertiesBean.volumeId}"></h:inputHidden>
			
		</h:form>
	</hx:scriptCollector>
</f:view>
</body>

</html>
