<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/EditVolumePropertiesShell.java" --%><%-- /jsf:pagecode --%>
<%@ include file="/page/common/Header.jsp"%>

<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>

<SCRIPT type="text/javascript" src="page/storage/EditVolumePropertiesShell.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>

<f:subview id="EditVolumePropertiesSubview">
		<hx:scriptCollector id="scriptCollector">
		
		<form id="EditVolumePropertiesForm" action="faces/page/storage/EditVolumeProperties.jsp"  method="post" target="EditVolumePropertiesDynamicFrame" enctype="application/x-www-form-urlencoded">
		</form>
		
		<!-- ----------------------------------------- MODAL  -------------------------------------- -->
		<h:commandButton id="EditVolumePropertiesLauncher" type="button" style="display: none" value=""></h:commandButton>
		
		<hx:panelDialog
			title="" 
			id="EditVolumePropertiesModal" 
			style="width:600px;"
			showTitleCloseButton="true"
			valign="top"
			styleClass="scm_panelDialog"
			for="EditVolumePropertiesLauncher">
			
			<hx:jspPanel id="panel">

			<DIV id="EditVolumePropertiesLoadingDiv">
				<TABLE>
					<TR>
						<TD valign="middle">
							<IMG src="images/loading/loading_large.gif" alt="" />
						</TD>
						<TD valign="middle">
							<h:outputText id="loadingEditVolumePropertiesMessage" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
						</TD>
					</TR>
				</TABLE>
			</DIV>
	
			<DIV id="EditVolumePropertiesDynamicDiv">
				<iframe id="EditVolumePropertiesDynamicFrame" name="EditVolumePropertiesDynamicFrame" title="<%=MessageFormatter.formatLabel(GWMARL.EditVolumePropertiesDynamicFrame_Title, null)%>" style="height: 1px;" width="100%" scrolling="no" frameborder="0" src=""></iframe>
			</DIV>
			
			<hx:commandExButton id="hiddenStopShowingButton" type="button" style="display: none">
				<hx:behavior id="onclickBehavior" event="onclick" targetAction="EditVolumePropertiesModal" behaviorAction="hide;"></hx:behavior>
			</hx:commandExButton>
			
			</hx:jspPanel>
		</hx:panelDialog>
		
		</hx:scriptCollector>

</f:subview>