<%-- jsf:pagecode language="java" location="/src/pagecode/page/supportdata/CollectSupportData.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript"
	src="page/supportdata/CollectSupportData.js"></SCRIPT>

<TITLE>Collect Support Data</TITLE>

</HEAD>
<f:view>
	<BODY onload="inlineMessagesAjaxObj.delayFetchMessages(200);">
	<jsp:include flush="true" page="/page/common/InlineMessagesAjax.jsp"></jsp:include>
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_CollectSupportData.onPageLoadBegin}">
			<table width="100%">
				<tbody>
					<tr>
						<td align="left">
							<hx:jspPanel id="contextChooserPanel" rendered="#{!pc_CollectSupportData.noDevice}">
								<jsp:include page="/page/common/ContextChooser.jsp"></jsp:include>
							</hx:jspPanel>
						</td>
						<td align="right"><h:outputLink id="ibmsupport_link"
							value="#{bundle.Common_LinkURL_IBMSupport}"
							styleClass="scm_plainLink" target="support">
							<h:outputText id="ibmsupport_label" value="#{bundle.Common_LinkLabel_IBMSupport}"/>
						</h:outputLink></td>
					</tr>
				</tbody>
			</table>
			</br>
			<h:form id="form1" styleClass="scm_outputText">
			<div style="width:100%;"><h:outputText id="summary"
				value="#{bundle.CollectSupportData_Summary}"
				styleClass=""></h:outputText></div>
			<br />
			<div id="buttonDiv"><hx:commandExButton id="supportdatabtn"
				value="#{bundle.CollectSupportData_Button_Label}" styleClass="scm_button"
				type="button">
				<hx:behavior id="supportdata_behavior" event="onclick" behaviorAction="get"
					targetAction="ajaxpanel" />
			</hx:commandExButton></div>
			<h:panelGroup id="ajaxpanel" style="display:none">
				<hx:ajaxRefreshRequest id="supportdata_ajax_request"
					oncomplete="return supportDataObj.ajaxComplete();"
					onerror="return supportDataObj.ajaxError();"
					onstart="return supportDataObj.ajaxStart();" >
				</hx:ajaxRefreshRequest>
				<hx:jspPanel id="responseMsgPanel"
					rendered="#{collectSupportDataBean.collectDataSucceed}">
					</br>
				<h:outputText id="collectSupportData_InProgress_Desc" escape="false" styleClass="scm_outputText" 
				value="#{pc_CollectSupportData.collectSupportDataInProgressDesc}"></h:outputText>					
				</hx:jspPanel>
			</h:panelGroup>
			<div id="waitDiv" style="display:none"><img
				src="images/loading/loading_large.gif" style="margin-bottom:-14px;" alt=""></img>
				<h:outputText id="wait_loading_message" 
				value="#{bundle.Wait_LoadingMessage_CollectSupportData}"></h:outputText>
			</div>
		</h:form>
		
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
