<%-- jsf:pagecode language="java" location="/src/pagecode/page/allresources/AllResourcesView.java" --%><%-- /jsf:pagecode --%>
<%@ include file="/page/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ page language="java" contentType="text/html" pageEncoding="UTF-8" session="false"%>
<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>

<portlet:defineObjects />

<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/scmstyle.css") %>" title="Style">

<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/common.js") %>"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/allresources/AllResources.js") %>"></SCRIPT>

<f:view>
	<BODY>
	<h:form id="form1">
	
	<div id="staticLoadingDiv">
	<iframe id="staticLoadingFrame" name="staticLoadingFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Static_Loading_Frame_Title, null)%>" style="height:400px;" width="100%"  scrolling="no" frameborder="0" src="<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/allresources/AllResourcesStaticLoadingView.jsp") %>" onload="resizeFrameHeight('staticLoadingFrame', 'staticLoadingFrame');"></iframe>
	</div>
	
	<div id="dynamicDiv">
	<iframe id="dynamicFrame" name="dynamicFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Dynamic_Frame_Title, null)%>" style="height: 1px;" width="100%" scrolling="no" frameborder="0" onload="stopShellLoading()" src="<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/allresources/AllResources.jsp") %>"></iframe>
	</div>
	
	<!-- **************** Hiddent inputs below are for the navigation purpose *************** -->
	<div style="display:none">
	<hx:commandExButton id="btn_add_host" 
									style=""
									value="add_host"
									action="#{pc_AllResourcesView.doBtnAddHost}"
									type="submit"></hx:commandExButton>
	</div>
	</h:form>
	</BODY>
</f:view>
