/**    Action menu is not shown per UCD SCM_MR_GUI_HLD_09_22_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below

var controllerActionMenu = new ControllerActionMenu();

ControllerActionMenu.ALARM_ENABLED = 1;
ControllerActionMenu.ALARM_DISABLED = 2;
ControllerActionMenu.ALARM_ACTIVE = 3;
ControllerActionMenu.ALARM_NOT_INSTALLED = 0;

function ControllerActionMenu()
{
	this.init = function()
	{
		
		//init the menu according to the alarm status
		var alarmAvailable = $("view:alarm_available").innerHTML;
		var alarmEnable = $("view:alarm_enable").innerHTML;
		var alarmAudible = $("view:alarm_audible").innerHTML;
		if(alarmAvailable == "true")
		{
			if(alarmEnable == "true")
			{
				if(alarmAudible != "true")
				{
					//enable
					controllerActionMenu.updateMenu(ControllerActionMenu.ALARM_ENABLED);
				}else{
					//active
					controllerActionMenu.updateMenu(ControllerActionMenu.ALARM_ACTIVE);
				}
			}else{
				//diable
				controllerActionMenu.updateMenu(ControllerActionMenu.ALARM_DISABLED);
			}
		
		}else{
			controllerActionMenu.updateMenu(ControllerActionMenu.ALARM_NOT_INSTALLED);
		}
	}
	
	this.enableAlarm = function()
	{
		//need to get tag reference from time to time,
		//as the tag is refreshed by ajax and old reference no longer refers to the tag
		//same case for other methods in this js
		var oActionParam = $("view:form1:actiontype");
		oActionParam.value = "action:enable";
		//display the loading image.
		parent.panelDialogObj.onDialogShow();
		setTimeout(submitForm,1);
	}
		
	this.disableAlarm = function()
	{
		var oActionParam = $("view:form1:actiontype");
		oActionParam.value = "action:disable";
		//display the loading image.
		parent.panelDialogObj.onDialogShow();
		setTimeout(submitForm,1);
	}
	
	this.silenceAlarm = function()
	{
		var oActionParam = $("view:form1:actiontype");
		oActionParam.value = "action:silence";
		//display the loading image.
		parent.panelDialogObj.onDialogShow();
		setTimeout(submitForm,1);
	}
	
	this.updateMenu = function(alarmStatues)
	{
		var m = hX_5.getComponentById("view:form1:actionmenu"); 
		var enable_mi = m.getMenuItemById("view:form1:enable_alarm_link");
		var diable_mi = m.getMenuItemById("view:form1:disable_alarm_link");
		var silence_mi = m.getMenuItemById("view:form1:silence_alarm_link");
		
		var enable_mi_obj = $("view:form1:enable_alarm_link");
		var disable_mi_obj = $("view:form1:disable_alarm_link");
		var silence_mi_obj = $("view:form1:silence_alarm_link");
		//disabling menu item by f:attribute does not work well with ajax
		//so use client code to disable the menu
		//alarm is enabled, so disable first menu item.
		switch(alarmStatues)
		{
			//The alarm is enabled, but not active
			case ControllerActionMenu.ALARM_ENABLED:
				hX_5.getSubComponentById(enable_mi).setAttribute("disabled:true");
				enable_mi_obj.onclick="";
				hX_5.getSubComponentById(diable_mi).setAttribute("disabled:false");
				disable_mi_obj.onclick=controllerActionMenu.disableAlarm;
				hX_5.getSubComponentById(silence_mi).setAttribute("disabled:true");
				silence_mi_obj.onclick="";
				break;
			//The alarm is disabled
			case ControllerActionMenu.ALARM_DISABLED:
				hX_5.getSubComponentById(enable_mi).setAttribute("disabled:false");
				enable_mi_obj.onclick=controllerActionMenu.enableAlarm;
				hX_5.getSubComponentById(diable_mi).setAttribute("disabled:true");
				disable_mi_obj.onclick="";
				hX_5.getSubComponentById(silence_mi).setAttribute("disabled:true");
				silence_mi_obj.onclick="";
				break;
			//The alarm is enabled and active
			case ControllerActionMenu.ALARM_ACTIVE:
				hX_5.getSubComponentById(enable_mi).setAttribute("disabled:true");
				enable_mi_obj.onclick="";
				hX_5.getSubComponentById(diable_mi).setAttribute("disabled:false");
				disable_mi_obj.onclick=controllerActionMenu.disableAlarm;
				hX_5.getSubComponentById(silence_mi).setAttribute("disabled:false");
				silence_mi_obj.onclick=controllerActionMenu.silenceAlarm;
				break;
			//The alarm is not installed
			case ControllerActionMenu.ALARM_NOT_INSTALLED:
				hX_5.getSubComponentById(enable_mi).setAttribute("disabled:true");
				enable_mi_obj.onclick="";
				hX_5.getSubComponentById(diable_mi).setAttribute("disabled:true");
				disable_mi_obj.onclick="";
				hX_5.getSubComponentById(silence_mi).setAttribute("disabled:true");
				silence_mi_obj.onclick="";
				break;
		}
		
	}
	
	function submitForm() {
		var alarm_launcher = $("view:form1:alarm_launcher");
		alarm_launcher.click()
	}
	
	
	
}

**/


//resize the dialog height
function resizeDialogHeight(thisObj, thisEvent)
{
	var element = EventHandling.getTargetElement(thisEvent);
	if(element!=null)
	{
		if(element.id.indexOf("inlineMessagesSubView")!=-1 && element.id.indexOf("close_text")!=-1)
		{
			if(parent.document.getElementById("dialog_iframe"))
			{
				parent.resizeFrameHeight('dialog_iframe', 'dialog_iframe');
			}
		}
	}
}

