<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/auditlog/AuditLog.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">


<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/auditlog/AuditLog.js"></SCRIPT>

<TITLE>Audit Log</TITLE>

</HEAD>
<f:view>
	<BODY onload="initAuditLog()">
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_AuditLog.onPageLoadBegin}">
		<h:form id="form1" styleClass="scm_outputText">
			<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
			<div style="width:100%;"><h:outputText id="summary"
				value="#{bundle.AuditLog_Summary}" styleClass="scm_outputText"></h:outputText></div>
			<br />
			<div style="width:100%; text-align:right; margin-bottom:2"><h:outputText
				id="lastrefreshlabel" value="#{bundle.Common_Label_LastRefresh}"
				styleClass="scm_outputText"></h:outputText> <span
				id="lastrefresh_timestamp"></span></div>
			<div align="right" style="padding:5px 0px 7px 0px;"
				class="scm_DataTable_ActionArea"><hx:commandExButton
				id="refreshbtn" value="#{bundle.Common_Button_Refresh}"
				styleClass="scm_button"
				onclick="parent.startShellLoading(); commonRefresh();" type="button"></hx:commandExButton></div>
			<hx:dataTableEx
				id="auditlog_table_header" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				rendered="true" style="table-layout: fixed; border-bottom: 0px">
				<hx:columnEx id="messageid_col_header">
					<f:facet name="header">
						<h:outputText id="messageid_header_header" styleClass="scm_outputText"
							value="#{bundle.AuditLog_TableHeader_MessageID}"></h:outputText>
					</f:facet>
					<f:attribute value="105" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="status_col_header">
					<f:facet name="header">
						<hx:graphicImageEx id="status_header_header"
							value="/images/status/completion_status_16.gif"
							alt="#{bundle.AuditLog_TableHeader_StatusAlt}"
							title="#{bundle.AuditLog_TableHeader_StatusAlt}"></hx:graphicImageEx>
					</f:facet>
					<f:attribute value="30" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="timestamp_col_header">
					<f:facet name="header">
						<h:outputText id="timestamp_header_header" styleClass="scm_outputText"
							value="#{bundle.AuditLog_TableHeader_Timestamp}"></h:outputText>
					</f:facet>
					<f:attribute value="105" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="device_col_header">
					<f:facet name="header">
						<h:outputText id="device_header_header" styleClass="scm_outputText"
							value="#{bundle.AuditLog_TableHeader_Device}"></h:outputText>
					</f:facet>
					<f:attribute value="135" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="userid_col_header">
					<f:facet name="header">
						<h:outputText id="userid_header_header" styleClass="scm_outputText"
							value="#{bundle.AuditLog_TableHeader_UserID}"></h:outputText>
					</f:facet>
					<f:attribute value="85" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="description_col_header">
					<f:facet name="header">
						<h:outputText id="description_header_header" styleClass="scm_outputText"
							value="#{bundle.AuditLog_TableHeader_Description}"></h:outputText>
					</f:facet>
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx>
			<div style="width:100%; overflow-y:auto; height:300px;"><hx:dataTableEx
				id="auditlog_table" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				value="#{pc_AuditLog.auditLogBean.auditLogRecords}"
				var="auditLogRecords" rendered="true" summary="#{bundle.AuditLog_Table_Summary}" 
				style="table-layout: fixed; border-top: 0px">
				<hx:columnEx id="messageid_col">
					<f:facet name="header">
						<h:outputText id="messageid_body_header" styleClass="scm_outputText"
							value="#{bundle.AuditLog_TableHeader_MessageID}"></h:outputText>
					</f:facet>
					<h:outputText id="messageid_cell"
							value="#{auditLogRecords.messageID}" styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="105" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="status_col">
					<f:facet name="header">
						<hx:graphicImageEx id="status_body_header"
							value="/images/status/completion_status_16.gif"
							alt="#{bundle.AuditLog_TableHeader_StatusAlt}"
							title="#{bundle.AuditLog_TableHeader_StatusAlt}"></hx:graphicImageEx>
					</f:facet>
					<hx:graphicImageEx id="status_cell"
						value="#{auditLogRecords.statusImgPath}"
						alt="#{auditLogRecords.statusText}"
						title="#{auditLogRecords.statusText}"></hx:graphicImageEx>
					<f:attribute value="30" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="timestamp_col">
					<f:facet name="header">
						<h:outputText id="timestamp_body_header" styleClass="scm_outputText"
							value="#{bundle.AuditLog_TableHeader_Timestamp}"></h:outputText>
					</f:facet>
					<h:outputText id="timestamp_cell"
						value="#{auditLogRecords.timestamp}" styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="105" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="device_col">
					<f:facet name="header">
						<h:outputText id="device_body_header" styleClass="scm_outputText"
							value="#{bundle.AuditLog_TableHeader_Device}"></h:outputText>
					</f:facet>
					<h:outputText id="device_cell"
						value="#{auditLogRecords.deviceName}" styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="135" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="userid_col">
					<f:facet name="header">
						<h:outputText id="userid_body_header" styleClass="scm_outputText"
							value="#{bundle.AuditLog_TableHeader_UserID}"></h:outputText>
					</f:facet>
					<h:outputText id="userid_cell" value="#{auditLogRecords.userID}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="85" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="description_col">
					<f:facet name="header">
						<h:outputText id="description_body_header" styleClass="scm_outputText"
							value="#{bundle.AuditLog_TableHeader_Description}"></h:outputText>
					</f:facet>
					<h:outputText id="description_cell"
						value="#{auditLogRecords.description}" styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx> <hx:jspPanel id="norecord_panel"
				rendered="#{pc_AuditLog.auditLogBean.noRecord}">
				<table
					style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 0px 1px;">
					<tr>
						<td><h:outputText id="norecords_desc"
							value="#{bundle.AuditLog_NoRecords_Description}"
							styleClass="scm_outputText"></h:outputText></td>
					</tr>
				</table>
			</hx:jspPanel></div>
		</h:form>
		<%-- dummy hx tag to init hx client script --%>
		<hx:behavior event="onload"/>		
		<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
