<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/createpool/ChooseMethod.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
	<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
		title="Style">
	<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
	<TITLE>Choose Method</TITLE>
</head>
<body>
<f:view>
<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_ChooseMethod.onPageLoadBegin}">
	<h:form id="form1">
	<table class="scm_wizard" height="400px">
		<tr>
			<td class="left">
				<jsp:include flush="true" page="ProgressView.jsp"></jsp:include>
			</td>
			<td class="right">
				<div id="header">
					<TABLE class="scm_titleArea" width="100%" height="50px" cellpadding="5px">
						<TR>
							<TD>
								<h:outputText id="choosemethod_title" styleClass="scm_outputTextTitle2" value="#{bundle.ChooseMethod_Title}"></h:outputText>
								<BR>
								<h:outputText id="choosemethod_desc" styleClass="scm_outputText" value="#{bundle.ChooseMethod_Label_Description}"></h:outputText>
							</TD>
						</TR>
					</TABLE>
				</div>
				<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
				<div id="main">
					<div id="create_pool_option_div" role="radiogroup" aria-labelledby="view:form1:choosemethod_title">
						<h:selectOneRadio styleClass="scm_outputText" id="create_pool_new_radio" layout="pageDirection" value="#{chooseMethodBean.createPoolPath}">
			        		<f:selectItem id="easy_item" itemValue="Easy" itemLabel="#{bundle.ChooseMethod_Label_Easy}" />
			        		<f:selectItem id="advanced_item" itemValue="Advanced" itemLabel="#{bundle.ChooseMethod_Label_Advanced}" />
			    		</h:selectOneRadio>
		    		</div>
		    	</div>
			</td>
		</tr>
		<tr height="1%">
			<td colspan="2" class="bottom">
				<hx:commandExButton id="btn_back"
					value="#{bundle.Common_Button_Back}"
					styleClass="scm_button"
					type="submit" disabled="true">
				</hx:commandExButton>
				<hx:commandExButton id="btn_next"
					value="#{bundle.Common_Button_Next}"
					styleClass="scm_button"
					type="submit" action="#{chooseMethodBean.onNext}" onclick="showWaitCursor(true);">
				</hx:commandExButton>
				<hx:commandExButton id="btn_finish"
					value="#{bundle.Common_Button_Finish}"
					styleClass="scm_button"
					type="submit" disabled="true">
				</hx:commandExButton>
				<hx:commandExButton id="btn_cancel"
					value="#{bundle.Common_Button_Cancel}"
					styleClass="scm_button"
					type="button"
					onclick="parent.getElementByIdSuffix('form1:widzard_btn_cancel','input').click();">
				</hx:commandExButton>
			</td>
		</tr>
	</table>
	</h:form>
	<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
</hx:scriptCollector>
</f:view>
</body>
</html>
