<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/createpool/CreatePoolEasy.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/PanelDialog.js"></SCRIPT>

<SCRIPT type="text/javascript" src="page/createpool/CreatePoolEasy.js"></SCRIPT>

<TITLE>Create Storage Pool Easy</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_CreatePoolEasy.onPageLoadBegin}">
		<h:form id="form1">
			<table class="scm_wizard">
				<tr>
					<td class="left">
						<hx:jspPanel id="progressview_panel1" rendered="#{createPoolEasyBean.launchedFromVolumes}">
							<jsp:include flush="true" page="/page/createvolume/ProgressView.jsp"></jsp:include>
						</hx:jspPanel>
						<hx:jspPanel id="progressview_panel2" rendered="#{!createPoolEasyBean.launchedFromVolumes}">
							<jsp:include flush="true" page="ProgressView.jsp"></jsp:include>
						</hx:jspPanel>
					</td>
					<td class="right">
					<table class="scm_titleArea"
						style="width:100%; cellpadding:5px; height:50px">
						<tr>
							<td><h:outputText id="summary_title"
								value="#{bundle.CreatePoolEasy_Summary_Title}"
								styleClass="scm_outputTextTitle2"></h:outputText></td>
						</tr>
						<tr>
							<td><h:outputText id="summary_description"
								value="#{bundle.CreatePoolEasy_Summary_Description}"
								styleClass="scm_outputText"></h:outputText></td>
						</tr>
					</table>
					
					<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
					
					<div id="main"><%-- ************************************ INPUT AREA ************************************* --%>
					<table>
						<tbody>
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%--
							<tr>
								<td><h:outputText id="poolname_asterix"
									styleClass="scm_outputText" style="color: red"
									value="#{bundle.Common_Asterix}" styleClass="scm_outputText"></h:outputText>
								<h:outputLabel id="poolname_label" for="poolname_input"
									value="#{bundle.CreatePoolEasy_Label_StoragePoolName}"
									styleClass="scm_outputText"></h:outputLabel></td>
								<td><h:inputText id="poolname_input"
									value="#{createPoolEasyBean.poolName}" maxlength="12"
									style="width:207px;" immediate="true" styleClass="scm_inputText"></h:inputText></td>
							</tr>
							<tr style="display:none" id="poolname_errormsg_tr">
								<td style="padding-left:13px">&nbsp;</td>
								<td><h:outputText styleClass="scm_outputTextError"
									id="poolname_errormsg"
									value="#{bundle.CreatePoolEasy_Validation_PoolName_Incorrect}"></h:outputText>
								</td>
							</tr>
--%>

							<tr>
								<td>
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%-- 
									style="padding-left:13px">
--%>
								<h:outputLabel
									id="drivetype_label" for="drivetype_select"
									value="#{bundle.CreatePoolEasy_Label_DesiredDriveType}"
									styleClass="scm_outputText"></h:outputLabel></td>
								<td><h:selectOneMenu id="drivetype_select" styleClass="scm_selectText"
									style="width:210px" value="#{createPoolEasyBean.driveType}"
									onchange="createPoolEasyObj.onChangeSelection(CreatePoolEasy.DRIVETYPE_CHANGED)"
									valueChangeListener="#{createPoolEasyBean.menuChanged}">
									<f:selectItems id="drivetypes_items"
										value="#{createPoolEasyBean.availableDriveTypes}" />
								</h:selectOneMenu></td>
							</tr>
							<tr>
								<td>
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%-- 
									style="padding-left:13px">
--%>
								<h:outputLabel
									id="raidlevel_label" styleClass="scm_outputText"
									for="raidlevel_select"
									value="#{bundle.CreatePoolEasy_Label_DesiredRAIDLevel}"></h:outputLabel>
								</td>
								<td><h:selectOneMenu id="raidlevel_select" styleClass="scm_selectText"
									style="width:210px" value="#{createPoolEasyBean.raidLevel}"
									onchange="createPoolEasyObj.onChangeSelection(CreatePoolEasy.RAIDLEVEL_CHANGED)"
									valueChangeListener="#{createPoolEasyBean.menuChanged}">
									<f:selectItems id="raidlevels_items"
										value="#{createPoolEasyBean.availableRaidLevels}" />
								</h:selectOneMenu> &nbsp;<hx:graphicImageEx id="raidlevel_helpimage"
									value="images/expandcollapse/help_plus.gif"
									tabindex="0" onkeyup="selfClick(this,event);"
									style="cursor: pointer" alt="#{bundle.Common_Collapsed}" title="#{bundle.Common_Collapsed}"
									onclick="toggleExpandCollapse(this, 'images/expandcollapse/help_plus.gif', '#{bundle.Common_Collapsed}', 'images/expandcollapse/help_minus.gif', '#{bundle.Common_Expanded}', 'RAIDLevelsHelpArea')"></hx:graphicImageEx>
								</td>
							</tr>
						</tbody>
					</table>
					<div id="RAIDLevelsHelpArea" style="display:none">
						<%@ include file="/page/createpool/RAIDLevelsHelp.jsp"%>
					</div>

					<br>
					<div><h:outputText id="table_summary_title"
						value="#{bundle.CreatePoolEasy_TableSummary_Title}"
						styleClass="scm_outputTextTitle3"></h:outputText></div>
					<div><h:outputText id="table_summary_note"
						value="#{bundle.CreatePoolEasy_TableSummary_Note}"
						styleClass="scm_outputText"></h:outputText></div>

					<%-- ********************************** OPTIONS TABLE *********************************** --%>
					<div id="table_header_div" style="width:480px; border-right: 1px #8ca6d6 solid;">
					<hx:dataTableEx
						id="options_table_header" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						style="border-bottom: 0px; table-layout: fixed;"
						rendered="true">
						<hx:columnEx id="radio_col_header">
							<f:attribute value="30" name="width" />
							<f:attribute value="center" name="align" />
						</hx:columnEx>
						<hx:columnEx id="physicalcapacity_col_header" style="visibility:collapse;border-left:none">
						</hx:columnEx>
						<hx:columnEx id="usablecapacity_col_header">
							<f:facet name="header">
								<h:outputText id="usablecapacity_header"
									styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasy_TableHeader_UsableCapacity}"></h:outputText>
							</f:facet>
							<f:attribute value="140" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="drivesnumber_col_header">
							<f:facet name="header">
								<h:outputText id="drivesnumber_header"
									styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasy_TableHeader_NumberofDrives}"></h:outputText>
							</f:facet>
							<f:attribute value="140" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="enclosuresnumber_col_header">
							<f:facet name="header">
								<h:outputText id="enclosuresnumber_header"
									styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasy_TableHeader_NumberofEnclosures}"></h:outputText>
							</f:facet>
							<f:attribute value="100%" name="width"/>
							<f:attribute value="right" name="align" />
						</hx:columnEx>
					</hx:dataTableEx>
					</div>
					<div id="table"
						style="width:480px; height:200px; overflow-y:auto; border-width:1px; border-color:#8ca6d6; border-style:solid;"><hx:dataTableEx
						id="options_table" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						value="#{createPoolEasyBean.availableOptions}" var="option"
						style="table-layout: fixed; border-top: 0px; border-left: 0px; border-right: 0px;"
						summary="#{bundle.CreatePoolEasy_Options_Table_Summary}"
						rendered="#{!createPoolEasyBean.noAvailableOption}">
						<hx:columnEx id="radio_col">
							<hx:inputRowSelect id="selected_cell" noscript="true"
								selectOne="true" value="#{option.selected}" title="#{option.usableCapacityText}">
							</hx:inputRowSelect>
							<f:attribute value="30" name="width" />
							<f:attribute value="center" name="align" />
						</hx:columnEx>
						<hx:columnEx id="physicalcapacity_col" style="visibility:collapse;border-left:none">
							<h:outputText id="physicalcapacity_cell"
								value="#{option.physicalCapacityText}" styleClass="scm_outputText" style="display:none">
							</h:outputText>
						</hx:columnEx>
						<hx:columnEx id="usablecapacity_col">
							<f:facet name="header">
								<h:outputText id="usablecapacity_tbody_header"
									styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasy_TableHeader_UsableCapacity}"></h:outputText>
							</f:facet>
							<h:outputText id="usablecapacity_cell"
								value="#{option.usableCapacityText}" styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="140" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="drivesnumber_col">
							<f:facet name="header">
								<h:outputText id="drivesnumber_tbody_header"
									styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasy_TableHeader_NumberofDrives}"></h:outputText>
							</f:facet>
							<h:outputText id="drivesnumber_cell"
								value="#{option.drivesNumber}" styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="140" name="width"/>
							<f:attribute value="right" name="align"/>
						</hx:columnEx>
						<hx:columnEx id="enclosuresnumber_col">
							<f:facet name="header">
								<h:outputText id="enclosuresnumber_tbody_header"
									styleClass="scm_outputText"
									value="#{bundle.CreatePoolEasy_TableHeader_NumberofEnclosures}"></h:outputText>
							</f:facet>
							<h:outputText id="enclosuresnumber_cell"
								value="#{option.enclosuresNumber}" styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="right" name="align" />
							<f:attribute value="100%" name="width"/>
						</hx:columnEx>
					</hx:dataTableEx> <h:panelGroup id="norecord_panel"
						rendered="#{createPoolEasyBean.noAvailableOption}">
						<h:outputText id="norecords_desc"
							value="#{bundle.CreatePoolEasy_NoOptions_Description}"
							styleClass="scm_outputText"></h:outputText>
					</h:panelGroup></div>
					<div>
					<h:outputFormat id="remaining_capacity_description"  escape="false"
						value="#{bundle.CreatePoolEasy_RemainingCapacity_Description}"
						styleClass="scm_outputText">
						<f:param name="0" value="<SPAN id='remaining_capacity'></SPAN>"
							id="paramRemaining_capacity_description"></f:param>
					</h:outputFormat> 
					</div>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="bottom">
						<hx:commandExButton id="btn_back"
							value="#{bundle.Common_Button_Back}"
							styleClass="scm_button"
							type="submit" 
							action="#{createPoolEasyBean.onBack}">
						</hx:commandExButton>
						<hx:commandExButton id="btn_next"
							value="#{bundle.Common_Button_Next}"
							action="#{createPoolEasyBean.poolCreationConfirmation}"
							type="submit" styleClass="scm_button"
							onclick="createPoolEasyObj.openConfirmationDialog(this,event);"></hx:commandExButton>
						<hx:commandExButton id="btn_next_hidden"
							value="#{bundle.Common_Button_Next}"
							style="display:none;"
							type="submit" action="#{createPoolEasyBean.doCreatePoolAction}" 
							onclick="createPoolEasyObj.showCreatingFloatMsg('#{bundle.CreatePoolEasy_Creating_Message}');">
						</hx:commandExButton>
						<hx:commandExButton id="btn_finish"
							value="#{bundle.Common_Button_Finish}"
							styleClass="scm_button"
							type="submit" disabled="true">
						</hx:commandExButton>
						<hx:commandExButton id="btn_cancel"
							value="#{bundle.Common_Button_Cancel}"
							styleClass="scm_button"
							type="button"
							onclick="parent.getElementByIdSuffix('form1:widzard_btn_cancel','input').click();">
						</hx:commandExButton>
					</td>
				</tr>
			</table>

			<%-- ********************************** HIDDEN FIELDS ***************************************--%>
			<h:inputHidden id="change_source" value="" immediate="true"></h:inputHidden>
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%--
			<h:outputText id="all_existing_poolnames"
				value="#{createPoolEasyBean.allExistingPoolNames}"
				style="display:none"></h:outputText>
--%>
			<h:outputText id="total_remaining_capacity"
				value="#{createPoolEasyBean.totalUnconfiguredCapacityText}"
				style="display:none"></h:outputText>
			<%-- ******** HIDDEN ERROR MESSAGE **********--%>
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%--
			<h:outputText id="incorrect_poolname_msg"
				value="#{bundle.CreatePoolEasy_Validation_PoolName_Incorrect}"
				style="display:none"></h:outputText>
			<h:outputText id="duplicate_poolname_msg"
				value="#{bundle.CreatePoolEasy_Validation_PoolName_Duplication}"
				style="display:none"></h:outputText>
			<h:outputText id="null_poolname_msg"
				value="#{bundle.CreatePoolEasy_Validation_PoolName_Null}"
				style="display:none"></h:outputText>
--%>


		</h:form>

		<%-- ********************* CONFIRMATION PANEL DIALOG********************** --%>
		<h:outputText id="confirmation_dialog_title" value="#{bundle.CreatePoolConfirmation_DialogTitle}" style="display:none"></h:outputText>
		<jsp:include flush="true" page="/page/common/PanelDialog.jsp"></jsp:include>
		<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
		
		<jsp:include flush="true" page="/page/common/FloatMessage.jsp"></jsp:include>
		
		<script language="javascript">
			dataTableObj.init(CreatePoolEasy.VIEW_FORM_ID+":options_table",createPoolEasyObj.changeRemainingCapacity,DataTable.SINGLE);
			createPoolEasyObj.init();
		</script>
		
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
