<%-- jsf:pagecode language="java" location="/src/pagecode/page/createvolume/CreateVolumeWizardView.java" --%><%-- /jsf:pagecode --%>
<%@ include file="/page/common/Header.jsp"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ page language="java" contentType="text/html" pageEncoding="UTF-8" session="false"
import="com.ibm.sysmgmt.scm.ar.common.PortletNavigator"%>
<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>
<portlet:defineObjects />
<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/scmstyle.css") %>" title="Style">

<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/common.js") %>"></SCRIPT>

<f:view>
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_CreateVolumeWizardView.onPageLoadBegin}">
	
		
	<h:form id="form1">
	<BODY>
	
	<div id="staticLoadingDiv">
		<iframe id="staticLoadingFrame" name="staticLoadingFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Static_Loading_Frame_Title, null)%>" style="height:250px;" width="100%"  scrolling="no" frameborder="0" src="<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/createvolume/SelectStoragePoolStaticLoadingView.jsp") %>" onload="initDynamicFrame()"></iframe>
	</div>

<%
	String poolId = (String)PortletNavigator.getParam(PortletNavigator.PARAM_POOL_ID);
	if(null == poolId)
	{
		//init the pool id to empty string, which means no pool is used for creating pool
		poolId = "";
	}
	String param_key = PortletNavigator.PARAM_POOL_ID;
%>

	<script type="text/javascript">
		var content_form = getElementByIdSuffix("form1", "form");
		var originalTarget = content_form.target;
		var originalAction = content_form.action;
		
		var poolId = "<%=poolId%>";
			
		if(poolId != "")
		{
			$("staticLoadingFrame").style.height = 0;
		}
		
		function initDynamicFrame()
		{	
			if(poolId != "")
			{
				attachHiddenInput(content_form, "<%=param_key%>", poolId);
			}
			content_form.action = "<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/createvolume/SelectStoragePool.jsp")  %>";
			content_form.method = "post";
			content_form.enctype = "application/x-www-form-urlencoded";
			content_form.target = "dynamicFrame";
			setTimeout("content_form.target = originalTarget; content_form.action = originalAction", 500);
			content_form.submit();
		}
	</script>
	<div id="dynamicDiv">
	<iframe id="dynamicFrame" name="dynamicFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Dynamic_Frame_Title, null)%>" style="height: 1px;" width="100%" scrolling="no" frameborder="0" onload="stopShellLoading()" src=""></iframe>
	</div>
	
	</BODY>
	<div style="display:none">
		<hx:commandExButton id="widzard_btn_cancel"
						value="#{bundle.Common_Button_Cancel}"
						style="margin:0px 5px 0px 5px;"
						type="submit" action="#{pc_CreateVolumeWizardView.doWidzardCancelBtn}">
		</hx:commandExButton>
	</div>
	
	</h:form>
	</hx:scriptCollector>
</f:view>
