<%--
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2009, 2010 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
--%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/createvolume/SelectStoragePool.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
	<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
		title="Style">
	<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
	<script type="text/javascript" src="page/common/DataTable.js"></script>
	<script type="text/javascript" src="page/createvolume/SelectStoragePool.js"></script>
	<TITLE>Select Storage Pool</TITLE>
</head>
<body>
<f:view>
<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_SelectStoragePool.onPageLoadBegin}">
	<h:form id="form1" onsubmit="showWaitCursor(true);">
	<table class="scm_wizard">
		<tr>
			<td class="left">
				<jsp:include flush="true" page="ProgressView.jsp"></jsp:include>
			</td>
			<td class="right">
				<div id="header">
					<TABLE class="scm_titleArea" width="100%" height="50px" cellpadding="5px">
						<TR>
							<TD>
								<h:outputText id="selectpool_title" styleClass="scm_outputTextTitle2" value="#{bundle.SelectPool_Title}"></h:outputText>
								<BR>
								<h:outputText id="desc_label" styleClass="scm_outputText" value="#{bundle.SelectPool_Label_Description}"></h:outputText>
							</TD>
						</TR>
					</TABLE>
				</div>
				
				<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
				
				<div id="main" role="radiogroup" aria-labelledby="view:form1:selectpool_title">
					<div>
						<input type="radio" id="create_pool_new" onclick="sspObj.onCreateNewPoolClicked()" name="create_pool"></input>
						<label id="newpool_label" for="create_pool_new">
							<h:outputText id="newpool_label_text" styleClass="scm_outputText" value="#{bundle.SelectPool_Label_NewPool}"></h:outputText>
						</label>
					</div>
					
					<div id="create_pool_option_div" style="padding-left:50px" role="radiogroup" aria-labelledby="newpool_label">
						<h:selectOneRadio styleClass="scm_outputText" id="create_pool_new_radio" layout="pageDirection" value="#{selectStoragePoolBean.createPoolPath}">
			        		<f:selectItem id="easy_item" itemValue="Easy" itemLabel="#{bundle.SelectPool_Label_NewPool_Easy}" />
			        		<f:selectItem id="advanced_item" itemValue="Advanced" itemLabel="#{bundle.SelectPool_Label_NewPool_Advanced}" />
			    		</h:selectOneRadio>
		    		</div>
					<div>
						<input type="radio" id="create_pool_existing" onclick="sspObj.onUseExistPoolClicked()" name="create_pool"></input>
						<label id="existingpool_label" for="create_pool_existing">
							<h:outputText id="existingpool_label_text" styleClass="scm_outputText" value="#{bundle.SelectPool_Label_ExistingPool}"></h:outputText>
						</label>
					</div>
					<div style="padding-left:25px; width:97%; ">
					<div id="table_header_div" class="scm_DataTableHeader_Div">
					<hx:dataTableEx
						id="pools_table_header" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						rendered="true">
						<hx:columnEx id="radio_col_header">
							<f:attribute value="6%" name="width" />
							<f:attribute value="center" name="align" />
						</hx:columnEx>
						<hx:columnEx id="poolname_col_header">
							<f:facet name="header">
								<h:outputText id="poolname_header" styleClass="scm_outputText"
									value="#{bundle.SelectPool_TabelHeader_PoolName}"></h:outputText>
							</f:facet>
							<f:attribute value="19%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="raidlevel_col_header">
							<f:facet name="header">
								<h:outputText id="raidlevel_header" styleClass="scm_outputText"
									value="#{bundle.SelectPool_TabelHeader_RaidLevel}"></h:outputText>
							</f:facet>
							<f:attribute value="17%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="volumecount_col_header">
							<f:facet name="header">
								<h:outputText id="volumecount_header" styleClass="scm_outputText"
									value="#{bundle.SelectPool_TabelHeader_VolumeCount}"></h:outputText>
							</f:facet>
							<f:attribute value="18%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="total_col_header">
							<f:facet name="header">
								<h:outputText id="total_header" styleClass="scm_outputText"
									value="#{bundle.SelectPool_TabelHeader_TotalCapacity}"></h:outputText>
							</f:facet>
							<f:attribute value="20%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="available_col_header">
							<f:facet name="header">
								<h:outputText id="available_header" styleClass="scm_outputText"
									value="#{bundle.SelectPool_TabelHeader_AvailableCapacity}"></h:outputText>
							</f:facet>
							<f:attribute value="20%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
					</hx:dataTableEx>
					</div>
					<div id="table_div"
						style="width: 100%; height:180px; overflow-y:auto; overflow-x:hidden"><hx:dataTableEx
						id="pools_table" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						style="border-top: 0px; table-layout: fixed;"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						summary="#{bundle.SelectPool_Pools_Table_Summary}"
						value="#{selectStoragePoolBean.pools}" var="pool"
						rendered="true">
						<hx:columnEx id="radio_col">
							<hx:inputRowSelect id="radio_cell" noscript="true" selectOne="true" title="#{pool.displayName}">
							</hx:inputRowSelect>
							<h:outputText id="pool_id" value="<input type='hidden' value='#{pool.id}' style='display:none'/>" escape="false"></h:outputText>
							<f:attribute value="6%" name="width" />
							<f:attribute value="center" name="align" />
						</hx:columnEx>
						<hx:columnEx id="poolname_col">
							<f:facet name="header">
								<h:outputText id="poolname_tbody_header" styleClass="scm_outputText"
									value="#{bundle.SelectPool_TabelHeader_PoolName}"></h:outputText>
							</f:facet>
							<h:outputText id="poolname_cell" value="#{pool.displayName}"
								styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="19%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="raidlevel_col">
							<f:facet name="header">
								<h:outputText id="raidlevel_tbody_header" styleClass="scm_outputText"
									value="#{bundle.SelectPool_TabelHeader_RaidLevel}"></h:outputText>
							</f:facet>
							<h:outputText id="raidlevel_cell" value="#{pool.raidLevel}"
								styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="17%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="volumecount_col">
							<f:facet name="header">
								<h:outputText id="volumecount_tbody_header" styleClass="scm_outputText"
									value="#{bundle.SelectPool_TabelHeader_VolumeCount}"></h:outputText>
							</f:facet>
							<h:outputText id="volumecount_cell" value="#{pool.volumeCount}"
								styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="18%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="total_col">
							<f:facet name="header">
								<h:outputText id="total_tbody_header" styleClass="scm_outputText"
									value="#{bundle.SelectPool_TabelHeader_TotalCapacity}"></h:outputText>
							</f:facet>
							<h:outputText id="total_cell" value="#{pool.capacityText}"
								styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="20%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="available_col">
							<f:facet name="header">
								<h:outputText id="available_tbody_header" styleClass="scm_outputText"
									value="#{bundle.SelectPool_TabelHeader_AvailableCapacity}"></h:outputText>
							</f:facet>
							<h:outputText id="available_cell"
								value="#{pool.availableCapacityText}" styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="20%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
					</hx:dataTableEx>
					<hx:jspPanel id="norecord_panel" rendered="#{selectStoragePoolBean.noPool}">
						<table style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
							<tr>
								<td>
									<h:outputText id="norecords_desc"
										value="#{bundle.SelectPool_NoRecords_Description}"
										styleClass="scm_outputText">
									</h:outputText>
								</td>
							</tr>
						</table>
					</hx:jspPanel>
				</div>
				</div>
				<!-- Hidden Inputs -->
				<h:inputHidden id="using_existing_pool" value="#{selectStoragePoolBean.usingExistingPool}"></h:inputHidden>
				<h:inputHidden id="selected_pool" value="#{selectStoragePoolBean.selectedPoolId}"></h:inputHidden>
				<h:outputText id="is_IR" value="#{selectStoragePoolBean.IR}" style="display:none"></h:outputText>
				<h:outputText id="is_no_pool" value="#{selectStoragePoolBean.noPool}" style="display:none"></h:outputText>
			</td>
		</tr>
		<tr>
			<td colspan="2" class="bottom">
				<hx:commandExButton id="btn_back"
					value="#{bundle.Common_Button_Back}"
					styleClass="scm_button"
					type="submit" disabled="true">
				</hx:commandExButton>
				<hx:commandExButton id="btn_next"
					value="#{bundle.Common_Button_Next}"
					styleClass="scm_button"
					type="submit" action="#{selectStoragePoolBean.onNext}"
					onclick="sspObj.updateSelectedPool()">
				</hx:commandExButton>
				<hx:commandExButton id="btn_finish"
					value="#{bundle.Common_Button_Finish}"
					styleClass="scm_button"
					type="submit" disabled="true">
				</hx:commandExButton>
				<hx:commandExButton id="btn_cancel"
					value="#{bundle.Common_Button_Cancel}"
					styleClass="scm_button"
					type="button" 
					onclick="parent.getElementByIdSuffix('form1:widzard_btn_cancel','input').click();">
				</hx:commandExButton>
			</td>
		</tr>
	</table>
	</h:form>
	<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
</hx:scriptCollector>
</f:view>
</body>
<script type="text/javascript">
	sspObj.init();
	dataTableObj.initHeaderDivPaddingWidth("view:form1:pools_table");
</script>
</html>
