<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/devicelog/DeviceLog.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/devicelog/DeviceLog.js"></SCRIPT>

<TITLE>Device Log</TITLE>

</HEAD>
<f:view>
	<BODY onload="initDeviceLog()">
	
	<jsp:include flush="true" page="/page/common/InlineMessagesAjax.jsp"></jsp:include>
	
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_DeviceLog.onPageLoadBegin}">
		<table width="100%">
			<tbody>
				<tr>
					<td align="left"><jsp:include
						page="/page/common/ContextChooser.jsp"></jsp:include></td>
					<td align="right"><h:outputLink id="ibmsupport_link"
						value="#{bundle.Common_LinkURL_IBMSupport}"
						styleClass="scm_plainLink" target="support"
						title="#{bundle.Common_LinkLabel_IBMSupport}">
						<h:outputText id="ibmsupport_label"
							value="#{bundle.Common_LinkLabel_IBMSupport}"
							styleClass="scm_outputText" />
					</h:outputLink></td>
				</tr>
			</tbody>
		</table>
		<br />
		<h:form id="form1" rendered="#{!pc_DeviceLog.responseComplete}">
			<div style="width:100%;"><h:outputText id="summary"
				value="#{bundle.DeviceLog_Summary}" styleClass="scm_outputText"></h:outputText></div>
			<br />
			<div style="width:100%; text-align:right; margin-bottom:2">
				<h:outputText id="lastrefreshlabel" value="#{bundle.Common_Label_LastRefresh}" styleClass="scm_outputText"></h:outputText> 
				<span id="lastrefresh_timestamp">
					<h:outputText id="initialLastRefrshValue" value="#{bundle.DeviceLog_Initial_Loading_Message}" styleClass="scm_outputText"></h:outputText>
				</span>
			</div>
			<div align="right" style="padding:5px 0px 7px 0px;"
				class="scm_DataTable_ActionArea"><hx:commandExButton
				id="refreshbtn" value="#{bundle.Common_Button_Refresh}"
				styleClass="scm_button"
				onclick="parent.startShellLoading(); commonRefresh();" type="button"></hx:commandExButton></div>
			<hx:dataTableEx
				id="devicelog_table_header" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="table-layout:fixed; border-bottom: 0px;" 
				rendered="true">
				<hx:columnEx id="event_col_header">
					<f:facet name="header">
						<h:outputText id="event_header" styleClass="scm_outputText"
							value="#{bundle.DeviceLog_TableHeader_Event}"></h:outputText>
					</f:facet>
					<f:attribute value="60" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="identifier_col_header">
					<f:facet name="header">
						<h:outputText id="identifier_header" styleClass="scm_outputText"
							value="#{bundle.DeviceLog_TableHeader_Identifier}"></h:outputText>
					</f:facet>
					<f:attribute value="75" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="severity_col_header">
					<f:facet name="header">
						<h:outputText id="severity_header" styleClass="scm_outputText"
							value="#{bundle.DeviceLog_TableHeader_Severity}"></h:outputText>
					</f:facet>
					<f:attribute value="95" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="timestamp_col_header">
					<f:facet name="header">
						<h:outputText id="timestamp_header" styleClass="scm_outputText"
							value="#{bundle.DeviceLog_TableHeader_Timestamp}"></h:outputText>
					</f:facet>
					<f:attribute value="105" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="description_col_header">
					<f:facet name="header">
						<h:outputText id="description_header" styleClass="scm_outputText"
							value="#{bundle.DeviceLog_TableHeader_Description}"></h:outputText>
					</f:facet>
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx>
			<div style="width:100%; overflow-y:auto; height:300px;"><hx:dataTableEx
				id="devicelog_table" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="table-layout:fixed; border-top: 0px;" 
				summary="#{bundle.DeviceLog_Table_Summary}"
				value="#{pc_DeviceLog.deviceLogRecords}"
				var="deviceLogRecords" rendered="true">
				<hx:columnEx id="event_col">
					<f:facet name="header">
						<h:outputText id="event_body_header" styleClass="scm_outputText"
							value="#{bundle.DeviceLog_TableHeader_Event}"></h:outputText>
					</f:facet>
					<h:outputText id="event_cell" value="#{deviceLogRecords.event}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="60" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="identifier_col">
					<f:facet name="header">
						<h:outputText id="identifier_body_header" styleClass="scm_outputText"
							value="#{bundle.DeviceLog_TableHeader_Identifier}"></h:outputText>
					</f:facet>
					<h:outputText id="identifier_cell" styleClass="scm_outputText"
						value="#{deviceLogRecords.identifier}">
					</h:outputText>
					<f:attribute value="75" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="severity_col">
					<f:facet name="header">
						<h:outputText id="severity_body_header" styleClass="scm_outputText"
							value="#{bundle.DeviceLog_TableHeader_Severity}"></h:outputText>
					</f:facet>
					<hx:graphicImageEx id="severityimg_cell"
						value="#{deviceLogRecords.severityImgPath}" alt=""
						style="margin-bottom:-2px;"></hx:graphicImageEx> 
					<h:outputText id="severitytext_cell" styleClass="scm_outputText"
						value="#{deviceLogRecords.severityText}">
					</h:outputText>
					<f:attribute value="95" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="timestamp_col">
					<f:facet name="header">
						<h:outputText id="timestamp_body_header" styleClass="scm_outputText"
							value="#{bundle.DeviceLog_TableHeader_Timestamp}"></h:outputText>
					</f:facet>
					<h:outputText id="timestamp_cell" styleClass="scm_outputText"
						value="#{deviceLogRecords.timestamp}">
					</h:outputText>
					<f:attribute value="105" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="description_col">
					<f:facet name="header">
						<h:outputText id="description_body_header" styleClass="scm_outputText"
							value="#{bundle.DeviceLog_TableHeader_Description}"></h:outputText>
					</f:facet>
					<h:outputText id="description_cell" styleClass="scm_outputText"
						value="#{deviceLogRecords.description}">
					</h:outputText>
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx> <hx:jspPanel id="norecord_panel"
				rendered="#{pc_DeviceLog.noRecord}">
				<table
					style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
					<tr>
						<td><h:outputText id="norecords_desc"
							value="#{bundle.DeviceLog_NoRecords_Description}"
							styleClass="scm_outputText"></h:outputText></td>
					</tr>
				</table>
			</hx:jspPanel></div>
			<%
				if (request.getHeader("User-Agent").toLowerCase().indexOf("msie") != -1) {
			%>
			<object id="beepid" width="0" height="0" classid="CLSID:22d6f312-b0f6-11d0-94ab-0080c74c7e95">
				<param name="FileName" value="media/dynamicRefresh.wav">
			</object>
			<%
				}
			%>
		</h:form>
		
		<div id="newRowsDiv" style="display: hidden">
			<!-- Will be used to host the new incoming rows -->
		</div>
		<%-- dummy hx tag to init hx client script --%>
		<hx:behavior event="onload"/>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
