<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/devicelog/DeviceLogStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>

<TITLE>Device Log Static Loading</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector">
		<table width="100%">
			<tbody>
				<tr>
					<td align="left"><h:outputText id="contextchooser_label"
						value="#{bundle.Common_Label_ContextChooser}"
						styleClass="scm_outputText"></h:outputText> <h:outputText
						id="contextchooser_loading"
						value="#{bundle.Wait_LoadingMessage_ContextChooser}"
						styleClass="scm_outputText"></h:outputText></td>
					<td align="right"><h:outputLink id="ibmsupport_link"
						value="#{bundle.Common_LinkURL_IBMSupport}"
						styleClass="scm_plainLink" target="support">
						<h:outputText id="ibmsupport_label"
							value="#{bundle.Common_LinkLabel_IBMSupport}"
							styleClass="scm_outputText" />
					</h:outputLink></td>
				</tr>
			</tbody>
		</table>
		<br />
		<div style="width:100%;"><h:outputText id="summary"
			value="#{bundle.DeviceLog_Summary}" styleClass="scm_outputText"></h:outputText></div>
		<br />
		<div style="width:100%; text-align:right; margin-bottom:2"><h:outputText
			id="lastrefresh_label" value="#{bundle.Common_Label_LastRefresh}"
			styleClass="scm_outputText"></h:outputText><h:outputText
			id="lastrefresh_loading"
			value="#{bundle.Wait_LoadingMessage_CommonRefresh}"></h:outputText></div>
		<div align="right" style="padding:5px 0px 7px 0px;"
			class="scm_DataTable_ActionArea"><hx:commandExButton
			id="refreshbtn" value="#{bundle.Common_Button_Refresh}"
			styleClass="scm_button" type="submit" disabled="true"></hx:commandExButton></div>
		<div style="width:100%; height:300px; overflow-y:auto;"><hx:dataTableEx
			id="devicelog_table" border="0" cellpadding="0" cellspacing="0"
			headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
			columnClasses="scm_DataTable_Column" summary="#{bundle.DeviceLog_Table_Summary}"
			rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
			style="table-layout: fixed; border-bottom: 0px;"
			rendered="true">
			<hx:columnEx id="event_col">
				<f:facet name="header">
					<h:outputText id="event_header" styleClass="scm_outputText"
						value="#{bundle.DeviceLog_TableHeader_Event}"></h:outputText>
				</f:facet>
				<f:attribute value="60" name="width" />
				<f:attribute value="left" name="align" />
			</hx:columnEx>
			<hx:columnEx id="identifier_col">
				<f:facet name="header">
					<h:outputText id="identifier_header" styleClass="scm_outputText"
						value="#{bundle.DeviceLog_TableHeader_Identifier}"></h:outputText>
				</f:facet>
				<f:attribute value="75" name="width" />
				<f:attribute value="left" name="align" />
			</hx:columnEx>
			<hx:columnEx id="severity_col">
				<f:facet name="header">
					<h:outputText id="severity_header" styleClass="scm_outputText"
						value="#{bundle.DeviceLog_TableHeader_Severity}"></h:outputText>
				</f:facet>
				<f:attribute value="95" name="width" />
				<f:attribute value="left" name="align" />
			</hx:columnEx>
			<hx:columnEx id="timestamp_col">
				<f:facet name="header">
					<h:outputText id="timestamp_header" styleClass="scm_outputText"
						value="#{bundle.DeviceLog_TableHeader_Timestamp}"></h:outputText>
				</f:facet>
				<f:attribute value="105" name="width" />
				<f:attribute value="left" name="align" />
			</hx:columnEx>
			<hx:columnEx id="description_col">
				<f:facet name="header">
					<h:outputText id="description_header" styleClass="scm_outputText"
						value="#{bundle.DeviceLog_TableHeader_Description}"></h:outputText>
				</f:facet>
				<f:attribute value="left" name="align" />
			</hx:columnEx>
		</hx:dataTableEx> <hx:jspPanel id="loading_panel" rendered="true">
			<table
				style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
				<tr>
					<td><hx:graphicImageEx id="loading_img"
						value="images/loading/loading_large.gif"
						style="margin-bottom:-14px;" alt=""></hx:graphicImageEx> <h:outputText
						id="devicelog_loading"
						value="#{bundle.Wait_LoadingMessage_DeviceLog}"
						styleClass="scm_outputText"></h:outputText></td>
				</tr>
			</table>
		</hx:jspPanel></div>
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
