<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/physical/BBUProperties.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="pagecode.page.physical.*, javax.faces.context.FacesContext"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css" title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/physical/BBUProperties.js"></SCRIPT>

<TITLE>BBU Properties</TITLE>

</HEAD>
<f:view>
	<BODY style="padding: 0px; margin: 0px" onload="parent.bbuPropertiesObject.dynamicFrameLoaded()">
	<hx:scriptCollector id="scriptCollector">
	
	<h:form id="form1">
	
	<%
	FacesContext fc = FacesContext.getCurrentInstance();
	BBUProperties pagecode = (BBUProperties) fc.getApplication().createValueBinding("#{pc_BBUProperties}").getValue(fc);
	%>
	
	<table width="100%">
		<tr>
			<td width="1%" valign="top">
				<hx:graphicImageEx id="imageHeader" styleClass="graphicImageEx" value="/images/components/battery_medium.gif" alt="#{bundle.BBUProperties_BBUImage_Alt}"></hx:graphicImageEx>
			</td>
			<td valign="top">
				<table width="100%">
					<tr>
						<td valign="top">
							<h:outputText styleClass="scm_outputText" id="head_name" value="#{bundle.BBUProperties_Name}"></h:outputText>
						</td>
						<td valign="top">
							<h:outputText styleClass="scm_outputText" id="head_name_value" value="#{pc_BBUProperties.BBU.displayName}"></h:outputText>
						</td>
					</tr>
					<tr>
						<td valign="top">
							<h:outputText styleClass="scm_outputText" id="head_status" value="#{bundle.BBUProperties_Status}"></h:outputText>
						</td>
						<td valign="top">
							<hx:graphicImageEx id="imageStatus" styleClass="graphicImageEx" value="#{pc_BBUProperties.BBU.statusImage}" style="vertical-align: middle" alt=""></hx:graphicImageEx>
							<h:outputText styleClass="scm_outputText" id="head_status_value" value="#{pc_BBUProperties.BBU.statusText}"></h:outputText>
						</td>
					</tr>
				</table>
			</td>
			<td width="1%" align="right" valign="top">
				<a class="scm_plainLink" onclick="javascript:window.open('/help/topic/com.ibm.storage.armr.doc/scm_armr_bbu_properties.html?noframes=true','PortletHelpWindow','resizable=yes,scrollbars=yes,menubar=no,toolbar=no,status=no,width=450,height=260,screenX=200,screenY=200,top=200,left=200').focus(); return false;" target="_blank" style="" href="/help/topic/com.ibm.storage.armr.doc/scm_armr_bbu_properties.html?noframes=true">
					<h:outputText id="link_text" value="#{bundle.Common_Link_Help}"></h:outputText>
				</a>
			</td>
		</tr>
	</table>
	
	<odc:tabbedPanel 
		styleClass="scm_tabbedPanel_top" 
		width="100%"
		variableTabLength="true" 
		showBackNextButton="false"
		showTabs="true"	
		id="tabbedPanel"
		height="100" 
		id="controller_tab_panel">
		
		<odc:bfPanel id="controller_general" name="#{bundle.ControllerProperties_Tab_General}" showFinishCancelButton="false">
			<hx:jspPanel id="generaltab_jsppanel">
				<table>
					<tr>
						<td valign="top">
							<h:outputText styleClass="scm_outputText" id="battery_type_label" value="#{bundle.BBUProperties_BatteryType}"></h:outputText>
						</td>
						<td valign="top">
							<h:outputText styleClass="scm_outputText" id="battery_type_value" value="#{pc_BBUProperties.BBU.batteryType}"></h:outputText>
						</td>
					</tr>
					<tr>
						<td valign="top">
							<h:outputText styleClass="scm_outputText" id="battery_charge_label" value="#{bundle.BBUProperties_ChargePercent}"></h:outputText>
						</td>
						<td valign="top">
							<h:outputText styleClass="scm_outputText" id="battery_charge_value" value="#{pc_BBUProperties.BBU.chargePercentString}"></h:outputText>
						</td>
					</tr>
				</table>
			</hx:jspPanel>
		</odc:bfPanel>
		
		<f:facet name="back">
			<hx:commandExButton type="submit" value="&lt; Back" id="tabbedPanel_back" style="display:none"></hx:commandExButton>
		</f:facet>
		<f:facet name="next">
			<hx:commandExButton type="submit" value="Next &gt;" id="tabbedPanel_next" style="display:none"></hx:commandExButton>
		</f:facet>
		<f:facet name="finish">
			<hx:commandExButton type="submit" value="Finish" id="tabbedPanel_finish" style="display:none"></hx:commandExButton>
		</f:facet>
		<f:facet name="cancel">
			<hx:commandExButton type="submit" value="Cancel" id="tabbedPanel1sscancel" style="display:none"></hx:commandExButton>
		</f:facet>
	</odc:tabbedPanel>
	
	<BR>
	
	<h:commandButton styleClass="scm_button" id="closeButton" value="#{bundle.Common_Button_Close}" onclick="parent.bbuPropertiesObject.closeModal(); return false;"></h:commandButton>
	
	<SCRIPT>
		// Set the properties on the parent modal
		parent.bbuPropertiesObject.setModalTitle('<%= pagecode.getModalTitle() %>');
	</SCRIPT>
	
	</h:form>

	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>