<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/physical/Enclosures.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="java.util.ResourceBundle,com.ibm.sysmgmt.scm.ar.backing.physical.*,javax.faces.context.FacesContext,com.ibm.sysmgmt.scm.ar.common.LocaleUtils"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css" title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/physical/Enclosures.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>

<TITLE>Enclosures</TITLE>

</HEAD>
<f:view>
<BODY onload="enableDisableActions(); setLastRefreshDate(); parent.parent.inlineMessagesAjaxObj.fetchMessages();dataTableObj.initHeaderDivPaddingWidth('enclosuresTable','table_header_div');">
	
	<hx:scriptCollector id="scriptCollector">
	
	<%-- ***************LOCATE DIALOG******************* --%>
	<jsp:include page="/page/allresources/LocateShell.jsp" flush="true"></jsp:include>
	
	<h:form id="form1">
	<div id="bodyDiv" style="height:450px;">
	<table width="100%">
		<tbody>
			<tr>
				<td align="right">
					<h:outputText id="lastRefreshLabel" styleClass="scm_outputText" value="#{bundle.Common_Label_LastRefresh}"></h:outputText>
					<span class="scm_outputText" id="lastRefreshTimestamp"></span>
				</td>
			</tr>
		</tbody>
	</table>
	
	<table class="scm_DataTable_ActionArea" width="100%">
		<tbody>
			<tr>
				<td align="left" width="100px">
					<h:commandButton styleClass="scm_button" id="locateDrivesButton" type="button" value="#{bundle.AllResources_LocateDrives}" onclick="locateDrivesClicked()"></h:commandButton>
				</td>
				<td align="left" style="padding-left: 10px">
				
					<!-- ----------------------------------------- ACTIONS MENU -------------------------------------- -->
					
					<hx:panelMenu flyOpen="false" id="actionsMenu" styleClass="scm_actionMenu">
						<f:facet name="header">
							<h:panelGroup id="btn_group">
								<hx:commandExButton value="#{bundle.ControllerProperties_Menu_Actions}" id="action_btn" styleClass="scm_actionMenu_Button"></hx:commandExButton>
								<hx:graphicImageEx value="/images/menu/sortdescon.gif" id="btn_img" styleClass="scm_actionMenu_Button_Icon" alt="#{bundle.Common_Menu_Actions}"></hx:graphicImageEx>
	  						</h:panelGroup>
						</f:facet>
						
						<!-- -----------------------------------------  PROPERTIES -------------------------------------- -->
						<hx:outputLinkEx id="propertiesLink" value="javascript:;" onclick="">
							<h:outputText id="propertiesText" styleClass="scm_outputText" value="#{bundle.AllResources_Properties}"></h:outputText>
							
							<f:attribute name="itemDisabled" value="true" />
						</hx:outputLinkEx>
						
						<hx:outputSeparator id="separatorBelowProperties"></hx:outputSeparator>
						
						<!-- -----------------------------------------  LOCATE DRIVES -------------------------------------- -->
						<hx:outputLinkEx id="locateDrivesLink" value="javascript:;" onclick="">
							<h:outputText id="locateDrivesText" styleClass="scm_outputText" value="#{bundle.AllResources_LocateDrives}"></h:outputText>
							
							<f:attribute name="itemDisabled" value="true" />
						</hx:outputLinkEx>
						
					</hx:panelMenu>
				</td>
				<td align="right">
					<!-- ----------------------------------------- REFRESH -------------------------------------- -->
					<h:commandButton id="refreshButton" type="submit" action="#{pc_Enclosures.refresh}" onclick="refresh()" value="#{bundle.Common_Button_Refresh}" styleClass="scm_button"></h:commandButton>
				</td>
			</tr>
		</tbody>
	</table>
	
	<!-- ----------------------------------------- TABLE HEADERS -------------------------------------- -->
	<div id="table_header_div" class="scm_DataTableHeader_Div">
	<TABLE width='100%' class='scm_DataTable' cellpadding='0' cellspacing='0' id="enclosuresTableHeader"
	   style="border-top: 0px; border-bottom: 0px; table-layout: fixed;">
	<colgroup>
		<col width="5%">
		</col>
		<col width="13%">
		</col>
		<col width="13%">
		</col>
		<col width="12%">
		</col>
		<col width="13%">
		</col>
		<col width="11%">
		</col>
		<col width="13%">
		</col>
		<col width="7%">
		</col>
		<col width="13%">
		</col>
	</colgroup>
    <THEAD>
    <TR>
    	<TH class="scm_DataTable_Header" align="center" width="5%">
    		<DIV style="overflow: hidden; width: 100%;">
    			&nbsp;
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="enclosureColumnHeader" value="#{bundle.Enclosures_Enclosure}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="locationColumnHeader" value="#{bundle.Enclosures_Location}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="12%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="statusColumnHeader" value="#{bundle.Enclosures_Status}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="slotsColumnHeader" value="#{bundle.Enclosures_Slots}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="11%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="drivesColumnHeader" value="#{bundle.Enclosures_Drives}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="emptySlotsColumnHeader" value="#{bundle.Enclosures_EmptySlots}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="7%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="fansColumnHeader" value="#{bundle.Enclosures_Fans}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="powersuppliesColumnHeader" value="#{bundle.Enclosures_PowerSupplies}"></h:outputText>
    		</DIV>
    	</TH>
    </TR>
    </THEAD>
    </TABLE>
    </div>
    <div id="tablecontent_panel" style="width:100%; height:300px; overflow-y:auto">
    
    <% ResourceBundle nls = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.ar.nls.GWMARL",LocaleUtils.getCurrentRequestLocale()); %>
    <TABLE width='100%' id='enclosuresTable' class='scm_DataTable' summary='<%=nls.getString("Enclosures_EnclosuresTable_Summary") %>' cellpadding='0' cellspacing='0' border='0'
     style="border-top: 0px; table-layout: fixed;">
     <colgroup>
		<col width="5%">
		</col>
		<col width="13%">
		</col>
		<col width="13%">
		</col>
		<col width="12%">
		</col>
		<col width="13%">
		</col>
		<col width="11%">
		</col>
		<col width="13%">
		</col>
		<col width="7%">
		</col>
		<col width="13%">
		</col>
	</colgroup>
    <TR class="scm_DataTable_Header scm_DataTable_Body_Header">
    	<TH class="scm_DataTable_Header" align="center" width="5%">
    		<DIV style="overflow: hidden; width: 100%;">
    			&nbsp;
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="enclosureColumnTbodyHeader" value="#{bundle.Enclosures_Enclosure}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="locationColumnTbodyHeader" value="#{bundle.Enclosures_Location}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="12%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="statusColumnTbodyHeader" value="#{bundle.Enclosures_Status}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="slotsColumnTbodyHeader" value="#{bundle.Enclosures_Slots}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="11%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="drivesColumnTbodyHeader" value="#{bundle.Enclosures_Drives}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="emptySlotsColumnTbodyHeader" value="#{bundle.Enclosures_EmptySlots}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="7%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="fansColumnTbodyHeader" value="#{bundle.Enclosures_Fans}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="powersuppliesColumnTbodyHeader" value="#{bundle.Enclosures_PowerSupplies}"></h:outputText>
    		</DIV>
    	</TH>
    </TR>
    <TBODY>
    <%
		FacesContext fc = FacesContext.getCurrentInstance();
		
		PhysicalEnclosuresBean peb = (PhysicalEnclosuresBean) fc.getApplication().createValueBinding("#{physicalEnclosuresBean}").getValue(fc);
		
		PEEnclosure[] enclosures = peb.getEnclosures();
		
		if(enclosures == null || enclosures.length == 0)
		{
	%>
			<TR class="scm_DataTable_Row">
				<TD class="scm_DataTable_Column scm_outputText" colspan="9">
					<h:outputText styleClass="scm_outputText" id="noEnclosures" value="#{bundle.Enclosures_NoEnclosures}"></h:outputText>
				</TD>
			</TR>
	<%
	}
	else
	{
		for(int x = 0; x < enclosures.length; x++)
		{
			String rowStyleClass = x % 2 == 0 ? "scm_DataTable_Row" : "scm_DataTable_RowGray";
	%>
			<TR class="<%= rowStyleClass %>">
				<TD  class="scm_DataTable_Column scm_outputText" align="center" width="5%">
					<INPUT type="checkbox" name="selectedEnclosures" id="enclosure<%= x %>" value="<%= enclosures[x].getID() %>" title="<%= enclosures[x].getDispalyName() %>" onclick="checkboxClicked(this, <%= x+1 %>)">
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" width="13%">
					<A class="scm_plainLink" href="javascript: showEnclosureProperties(document.getElementById('enclosure<%= x %>').value);">
						<SPAN class="scm_outputText"><%= enclosures[x].getDispalyName() %></SPAN>
					</A>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" width="13%">
					<SPAN class="scm_outputText"><%= enclosures[x].getLocation() %></SPAN>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" width="12%">
					<IMG src="<%= enclosures[x].getStatusImagePath() %>" style="vertical-align: middle" alt=""></IMG>
					<SPAN class="scm_outputText"><%= enclosures[x].getStatusText() %></SPAN>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" align="right" width="13%">
					<SPAN class="scm_outputText"><%= enclosures[x].getSlotCount() %></SPAN>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" align="right" width="11%">
					<SPAN class="scm_outputText"><%= enclosures[x].getDriveCount() %></SPAN>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" align="right" width="13%">
					<SPAN class="scm_outputText"><%= enclosures[x].getEmptySlotCount() %></SPAN>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" align="right" width="7%">
					<SPAN class="scm_outputText"><%= enclosures[x].getFanCount() %></SPAN>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" align="right" width="13%">
					<SPAN class="scm_outputText"><%= enclosures[x].getPowerSupplyCount() %></SPAN>
				</TD>
			</TR>
	<%
		}
	}
	%>
	</TBODY>
	</TABLE>
	</div>
	</div>
	</h:form>
	
	<%-- ***************Hidden input/output area******************* --%>
	<h:outputText id="dialog_title" value="#{physicalEnclosuresBean.propertyDialogTitle}" style="display:none"></h:outputText>
		
	<%-- ***************COMMON PANEL DIALOG, must include it out of the <h:form/> tag******************* --%>
	<jsp:include flush="true" page="/page/common/PanelDialog.jsp"></jsp:include>
	</hx:scriptCollector>
	
</BODY>
</f:view>
</html>