<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/physical/PhysicalResourcesStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css" title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/physical/PhysicalResources.js"></SCRIPT>

<TITLE>Physical Resources</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector">
	
	<h:outputText id="contextchooser_label" value="#{bundle.Common_Label_ContextChooser}" styleClass="scm_outputText"></h:outputText> 
	<hx:graphicImageEx id="treeTableLoading" value="images/loading/loading_small.gif" alt=""></hx:graphicImageEx>
	<h:outputText id="contextchooser_loading" value="#{bundle.Wait_LoadingMessage_ContextChooser}" styleClass="scm_outputText"></h:outputText>
	
	<BR>
	<BR>
	
	<h:form id="form1" target="_parent">
	
	<table>
		<tr>
			<td>
				<h:graphicImage id="hostImage" value="images/components/host_small.gif" alt="#{bundle.Physical_Host_Alt}"></h:graphicImage>
			</td>
			<td>
				<hx:graphicImageEx id="hostLoadingImage" value="images/loading/loading_small.gif" alt=""></hx:graphicImageEx>
				<h:outputText id="hostLoadingText" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
			</td>
		</tr>
		<tr>
			<td>
				<h:graphicImage id="controllerImage" value="images/components/controller_small.gif" alt="#{bundle.Physical_Controller_Alt}"></h:graphicImage>
			</td>
			<td>
				<hx:graphicImageEx id="controllerLoadingImage" value="images/loading/loading_small.gif" alt=""></hx:graphicImageEx>
				<h:outputText id="controllerLoadingText" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
			</td>
		</tr>
		<tr>
			<td>
				<h:graphicImage id="bbuImage" value="images/components/battery_small.gif" alt="#{bundle.Physical_BBU_Alt}"></h:graphicImage>
			</td>
			<td>
				<hx:graphicImageEx id="bbuLoadingImage" value="images/loading/loading_small.gif" alt=""></hx:graphicImageEx>
				<h:outputText id="bbuLoadingText" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
			</td>
		</tr>
	</table>
	
	<table>
		<tr>
			<td>
				<img src="images\loading\loading_large.gif" alt=""></img>		
			</td>
			
			<td>
				<h:outputText id="tab_loading" value="#{bundle.Wait_LoadingMessage_Physical}" styleClass="scm_outputText"></h:outputText>
			</td>
		</tr>
	</table>
	
	</h:form>
	</hx:scriptCollector>
	
	</BODY>
</f:view>

</HTML>
