<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/Pools.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>

<SCRIPT type="text/javascript" src="page/storage/Pools.js"></SCRIPT>


<TITLE>Storage Pools</TITLE>

</HEAD>
<f:view>
	<BODY onload="parent.parent.inlineMessagesAjaxObj.fetchMessages()">
	<hx:scriptCollector id="scriptCollector">
		<%-- ***************LOCATE DIALOG******************* --%>
		<jsp:include page="/page/allresources/LocateShell.jsp" flush="true"></jsp:include>
		
		<h:form id="form1" styleClass="scm_outputText">

		<div id="bodyDiv" style="height:450px;">

			<div style="width:100%; text-align:right; margin-bottom:2"><h:outputText
				id="lastrefreshlabel" value="#{bundle.Common_Label_LastRefresh}"
				styleClass="scm_outputText"></h:outputText> <span
				id="lastrefresh_timestamp"></span></div>
			<table style="width:100%;padding:5px 0px 7px 0px;"
				class="scm_DataTable_ActionArea">
				<tbody>
					<tr>
						<td><hx:commandExButton id="creatpool_btn"
							value="#{bundle.StoragePools_Button_CreateStoragePool}"
							styleClass="scm_button"  type="button"
							onclick="poolsObj.onCreatePool()"></hx:commandExButton></td>
						<td><hx:commandExButton id="createvolumes_btn"
							value="#{bundle.StoragePools_Button_CreateVolumes}"
							styleClass="scm_button"  type="button"
							onclick="poolsObj.onCreateVolume()">
						</hx:commandExButton></td>
						<td style="margin:0px 5px 0px 5px;" align="left"><hx:panelMenu
							flyOpen="false" id="actionmenu" styleClass="scm_actionMenu">
							<f:facet name="header">
								<h:panelGroup id="btn_group">
									<hx:commandExButton value="#{bundle.Common_Menu_Actions}"
										id="action_btn" styleClass="scm_actionMenu_Button"
										title="#{bundle.Common_Menu_Actions}"></hx:commandExButton>
									<hx:graphicImageEx value="/images/menu/sortdescon.gif"
										id="btn_img" styleClass="scm_actionMenu_Button_Icon" alt="#{bundle.Common_Menu_Actions}"></hx:graphicImageEx>
								</h:panelGroup>
							</f:facet>
							<hx:outputLinkEx value="javascript:;" id="properties_link"
								onclick="" title="#{bundle.StoragePools_Menu_Properties}">
								<h:outputText id="properties_text" styleClass="scm_outputText"
									value="#{bundle.StoragePools_Menu_Properties}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
							<hx:outputSeparator id="separator1"></hx:outputSeparator>
							<hx:outputLinkEx value="javascript:;" id="create_storagepool_link"
								title="#{bundle.StoragePools_Menu_CreateStoragePool}"
								onclick="poolsObj.onCreatePool()">
								<h:outputText id="create_storagepool_text"
									styleClass="scm_outputText"
									value="#{bundle.StoragePools_Menu_CreateStoragePool}"></h:outputText>
							</hx:outputLinkEx>
							<hx:outputLinkEx value="javascript:;" id="create_volumes_link"
								title="#{bundle.StoragePools_Menu_CreateVolumes}"
								onclick="">
								<h:outputText id="create_volumes_text"
									styleClass="scm_outputText"
									value="#{bundle.StoragePools_Menu_CreateVolumes}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
							<hx:outputLinkEx value="javascript:;"
								id="delete_storagepool_link"
								onclick=""
								title="#{bundle.StoragePools_Menu_DeleteStoragePool}">
								<h:outputText id="delete_storagepool_text"
									styleClass="scm_outputText"
									value="#{bundle.StoragePools_Menu_DeleteStoragePool}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
							<hx:outputSeparator id="separator2"></hx:outputSeparator>
							<hx:outputLinkEx id="assign_globalspare_link"
								value="javascript:;"
								onclick="poolsObj.onClickAssignGlobalSpareMenu();"
								title="#{bundle.StoragePools_Menu_AssignGlobalSpare}">
								<h:outputText id="assign_globalspare_text"
									styleClass="scm_outputText"
									value="#{bundle.StoragePools_Menu_AssignGlobalSpare}"></h:outputText>
							</hx:outputLinkEx>
							<hx:outputLinkEx id="assign_dedicatedspare_link"
								value="javascript:;"
								onclick=""
								title="#{bundle.StoragePools_Menu_AssignDedicatedSpare}">
								<h:outputText id="assign_dedicatedspare_text"
									styleClass="scm_outputText"
									value="#{bundle.StoragePools_Menu_AssignDedicatedSpare}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
							<hx:outputLinkEx value="javascript:;" id="unassign_dedicatedspare_link"
								onclick=""
								title="#{bundle.StoragePools_Menu_UnassignADedicatedSpare}">
								<h:outputText id="unassign_dedicatedspare_text"
									styleClass="scm_outputText"
									value="#{bundle.StoragePools_Menu_UnassignADedicatedSpare}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
							<hx:outputSeparator id="separator3"></hx:outputSeparator>
							<hx:outputLinkEx value="javascript:;" id="locate_driver_link"
								onclick=""
								title="#{bundle.StoragePools_Menu_LocateDrive}">
								<h:outputText id="locate_driver_text"
									styleClass="scm_outputText"
									value="#{bundle.StoragePools_Menu_LocateDrive}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
						</hx:panelMenu></td>
						<td align="right" style="width:100%;"><hx:commandExButton
							id="refresh_btn" value="#{bundle.Common_Button_Refresh}"
							styleClass="scm_button" 
							action="#{pc_Pools.doRefreshBtnAction}"
							onclick="poolsObj.onClickRefreshBtn(this,event);"
							type="submit"></hx:commandExButton></td>
					</tr>
				</tbody>
			</table>
			<div id="table_header_div" class="scm_DataTableHeader_Div">
			<hx:dataTableEx
				id="pools_table_header" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				rendered="true" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;">
				<hx:columnEx id="radio_col_header">
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="poolname_col_header">
					<f:facet name="header">
							<h:outputText id="poolname_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_StoragePool}"></h:outputText>
					</f:facet>
					<f:attribute value="14%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="status_col_header">
					<f:facet name="header">
							<h:outputText id="status_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_Status}"></h:outputText>
					</f:facet>
					<f:attribute value="12%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="total_col_header">
					<f:facet name="header">
							<h:outputText id="total_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_TotalGB}"></h:outputText>
					</f:facet>
					<f:attribute value="15%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="available_col_header">
					<f:facet name="header">
							<h:outputText id="available_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_AvailableGB}"></h:outputText>
					</f:facet>
					<f:attribute value="12%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="volumes_col_header">
					<f:facet name="header">
							<h:outputText id="volumes_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_Volumes}"></h:outputText>
					</f:facet>
					<f:attribute value="13%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="raidlevel_col_header">
					<f:facet name="header">
							<h:outputText id="raidlevel_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_RAIDLevel}"></h:outputText>
					</f:facet>
					<f:attribute value="12%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="spare_col_header">
					<f:facet name="header">
							<h:outputText id="spare_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_Spare}"></h:outputText>
					</f:facet>
					<f:attribute value="17%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx>
			</div>
			<div id="tablecontent_panel"
				style="width:100%; height:300px; overflow-y:auto"><hx:dataTableEx
				id="pools_table" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="border-top: 0px; table-layout: fixed;"
				summary="#{bundle.Storage_Pools_Table_Summary}"
				value="#{storagePoolBean.pools}" var="pool" rendered="#{!storagePoolBean.noRecord}">
				<hx:columnEx id="radio_col">
					<hx:inputRowSelect id="hidden_selected_cell" noscript="true"
						selectOne="true" value="false" title="#{pool.poolName}">
					</hx:inputRowSelect>
					<h:inputHidden id="pool_id" value="#{pool.poolId}"></h:inputHidden>
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="poolname_col">
					<f:facet name="header">
							<h:outputText id="poolname_body_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_StoragePool}"></h:outputText>
					</f:facet>
					<hx:outputLinkEx id="poolname_link" styleClass="scm_plainLink"
						value="javascript:;"
						onclick="poolsObj.onClickPoolLink(this);"
						title="#{bundle.StoragePools_PoolName_LinkTitle}">
						<h:outputText id="poolname_cell" value="#{pool.poolName}"
							styleClass="scm_outputText">
						</h:outputText>
					</hx:outputLinkEx>
					<f:attribute value="14%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="status_col">
					<f:facet name="header">
							<h:outputText id="status_body_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_Status}"></h:outputText>
					</f:facet>
					<hx:graphicImageEx id="cell_status_img" rendered="#{!pool.statusNormal}"
						value="#{pool.statusImgPath}" alt="#{pool.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
					<hx:graphicImageEx id="cell_status_img_blank" rendered="#{pool.statusNormal}"
						value="/images/status/none_16.gif" alt="#{pool.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
					<h:outputText id="statustext_cell" styleClass="scm_outputText"
						value="#{pool.statusText}">
					</h:outputText>
					<f:attribute value="12%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="total_col">
					<f:facet name="header">
							<h:outputText id="total_body_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_TotalGB}"></h:outputText>
					</f:facet>
					<h:outputText id="total_cell" value="#{pool.totalCapacityText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="15%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="available_col">
					<f:facet name="header">
							<h:outputText id="available_col_body_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_AvailableGB}"></h:outputText>
					</f:facet>
					<h:outputText id="available_cell"
						value="#{pool.availableCapacityText}" styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="12%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="volumes_col">
					<f:facet name="header">
							<h:outputText id="volumes_body_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_Volumes}"></h:outputText>
					</f:facet>
					<h:outputText id="volumes_cell" value="#{pool.volumeQuantity}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="13%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="raidlevel_col">
					<f:facet name="header">
							<h:outputText id="raidlevel_body_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_RAIDLevel}"></h:outputText>
					</f:facet>
					<h:outputText id="raidlevel_cell" value="#{pool.raidLevel}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="12%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="spare_col">
					<f:facet name="header">
							<h:outputText id="spare_body_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_Spare}"></h:outputText>
					</f:facet>
					<h:outputText id="spare_state_cell" value="#{pool.spareState}" styleClass="scm_outputText" style="display:none"></h:outputText>
					<hx:jspPanel id="dedicatedspared_panel" rendered="#{pool.dedicatedSpared}">
						<hx:graphicImageEx id="dedicated_spareimg_cell" value="/images/spare/dedicated_spare.gif"
							alt=""  style="margin-bottom:-2px;"></hx:graphicImageEx>
						<h:outputText id="dedicated_sparetext_cell" styleClass="scm_outputText"
							value="#{pool.dedicatedSpareText}">
						</h:outputText>
						<br/>
					</hx:jspPanel>
					<hx:jspPanel id="globalspared_panel" rendered="#{pool.globalSpared}">
						<hx:graphicImageEx id="global_spareimg_cell" value="/images/spare/global_spare.gif"
							alt="" style="margin-bottom:-2px;"></hx:graphicImageEx>
						<h:outputText id="global_sparetext_cell" styleClass="scm_outputText"
							value="#{pool.globalSpareText}">
						</h:outputText>
						<br/>
					</hx:jspPanel>
					<hx:jspPanel id="bothspared_panel" rendered="#{!pool.dedicatedSpared && !pool.globalSpared}">
						<hx:graphicImageEx id="none_spareimg_cell" value="/images/status/none_16.gif"
							alt="" style="margin-bottom:-2px;"></hx:graphicImageEx>
						<h:outputText id="none_sparetext_cell" styleClass="scm_outputText"
							value="#{bundle.StoragePools_Spare_None}">
						</h:outputText>
					</hx:jspPanel>
					<f:attribute value="17%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx> <hx:jspPanel id="norecord_panel"
				rendered="#{storagePoolBean.noRecord}">
				<table
					style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
					<tr>
						<td><h:outputText id="norecords_desc"
							value="#{bundle.StoragePools_NoRecords_Description}"
							styleClass="scm_outputText"></h:outputText></td>
					</tr>
				</table>
			</hx:jspPanel></div>

			<%-- ***************HIDDEN INPUT FIELD******************* --%>
			<h:inputHidden id="selected_pool_id" value=""></h:inputHidden>

			


		</div>
		</h:form>
		
		<%-- ***************COMMON PANEL DIALOG must include it out of the <h:form/> tag ****************** --%>
		<jsp:include flush="true" page="/page/common/PanelDialog.jsp">
		</jsp:include>
		
		<%-- ***************Hidden input/output area******************* --%>
		<h:outputText id="dialog_title" value="#{storagePoolBean.propertyDialogTitle}" style="display:none"></h:outputText>
		<h:outputText id="delete_pool_dialog_title" value="#{bundle.DeletePool_Title}" style="display:none"></h:outputText>
		<h:outputText id="display_name_raid_0" value="#{storagePoolBean.raid0DisplayName}" style="display:none"></h:outputText>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
<script language="javascript">
dataTableObj.init(Pools.VIEW_FORM_ID+":pools_table",poolsObj.changeMenusNBtns,DataTable.SINGLE);
dataTableObj.initHeaderDivPaddingWidth(Pools.VIEW_FORM_ID+":pools_table");
poolsObj.init();
</script>
