<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/Storage.java" --%><%-- /jsf:pagecode --%>

<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
	<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>

<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
	<%@ include file="/page/common/Header.jsp"%>
	<BASE href="<%=basePath%>">
	
	<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css" title="Style">
	<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
	<script type="text/javascript" src="page/storage/Storage.js"></script>
	<TITLE>Storage</TITLE>
</head>
<body>
	<f:view>
		<hx:scriptCollector id="scriptCollector" preRender="#{pc_Storage.onPageLoadBegin}">
			<jsp:include flush="true" page="/page/common/InlineMessagesAjax.jsp"></jsp:include>
				<div id="header">
					<div style="display:inline"><jsp:include page="/page/common/ContextChooser.jsp"></jsp:include></div>
				</div>
				<br/>
				<h:form id="form1">
				<div id="main">
					<odc:tabbedPanel id="storage_tab_panel" styleClass="scm_tabbedPanel_top" width="100%"
							variableTabLength="true" showBackNextButton="false"
							showTabs="true" height="530">
						<odc:bfPanel id="volume_tab" name="#{bundle.Storage_Tab_Volumes}"
							showFinishCancelButton="false" tabIcon="images/status/blank.gif" onenter="frameworkObj.onTabEnter(this, event)">
							<iframe id="volume_iframe" name="volume_iframe" title="<%=MessageFormatter.formatLabel(GWMARL.Volume_Iframe_Title, null)%>" src="" width="100%" scrolling="no" frameborder="0" style="height:500px">
							</iframe>
						</odc:bfPanel>
						<odc:bfPanel id="pool_tab" name="#{bundle.Storage_Tab_Pools}"
							showFinishCancelButton="false" tabIcon="images/status/blank.gif" onenter="frameworkObj.onTabEnter(this, event)">
							<iframe id="pool_iframe" name="pool_iframe" title="<%=MessageFormatter.formatLabel(GWMARL.Pool_Iframe_Title, null)%>" src="" width="100%" scrolling="no" frameborder="0" style="height:500px">
							</iframe>
						</odc:bfPanel>
						<odc:bfPanel id="disk_tab" name="#{bundle.Storage_Tab_Drives}"
							showFinishCancelButton="false" tabIcon="images/status/blank.gif" onenter="frameworkObj.onTabEnter(this, event)">
							<iframe id="disk_iframe" name="disk_iframe" title="<%=MessageFormatter.formatLabel(GWMARL.Disk_Iframe_Title, null)%>" src="" width="100%" scrolling="no" frameborder="0" style="height:500px">
							</iframe>
						</odc:bfPanel>
						<f:facet name="back">
							<hx:commandExButton type="submit" value="&lt; Back"
								id="tabbedPanel_back" style="display:none"></hx:commandExButton>
						</f:facet>
						<f:facet name="next">
							<hx:commandExButton type="submit" value="Next &gt;"
								id="tabbedPanel_next" style="display:none"></hx:commandExButton>
						</f:facet>
						<f:facet name="finish">
							<hx:commandExButton type="submit" value="Finish"
								id="tabbedPanel_finish" style="display:none"></hx:commandExButton>
						</f:facet>
						<f:facet name="cancel">
							<hx:commandExButton type="submit" value="Cancel"
								id="tabbedPanel1sscancel" style="display:none"></hx:commandExButton>
						</f:facet>
					</odc:tabbedPanel>
				</div>
			</h:form>
		</hx:scriptCollector>
	</f:view>
</body>
<script>
	setTimeout("frameworkObj.initFrame();", 200);
</script>
</html>