<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/UnassignPoolDedicatedHotSpare.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="com.ibm.sysmgmt.scm.ar.common.*, com.ibm.sysmgmt.scm.ar.backing.storage.*,javax.faces.context.FacesContext, pagecode.page.storage.*,java.util.ResourceBundle,com.ibm.sysmgmt.scm.ar.common.LocaleUtils"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/storage/UnassignPoolDedicatedHotSpare.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>

<TITLE>Unassign A Dedicated Hot Spare</TITLE>

</HEAD>
<f:view>
	<!-- simulate a checkbox click to disable the OK button -->
	<BODY onload="enableDisableOKButtons(); inlineMessagesAjaxObj.delayFetchMessages(200);dataTableObj.initHeaderDivPaddingWidth('diskTable','table_header_div');">
	<jsp:include flush="true" page="/page/common/InlineMessagesAjax.jsp"></jsp:include>
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_UnassignPoolDedicatedHotSpare.onPageLoadBegin}">
		<h:form id="form1">
			
			<%
				FacesContext fc = FacesContext.getCurrentInstance();
				
				UnassignPoolDedicatedHotSpare pagecode = (UnassignPoolDedicatedHotSpare) fc.getApplication().createValueBinding("#{pc_UnassignPoolDedicatedHotSpare}").getValue(fc);
				
				UDHSPool selectedPool = pagecode.getPool();
				
				UDHSDiskDrive[] spareDisks = pagecode.getAssignedDiskDrives();
			%>
			<h:outputText id="pool_prompt_description" value="#{bundle.UnassignDedicatedHotSpare_Prompt_SelectPool}" styleClass="scm_outputText"></h:outputText>
			<% ResourceBundle nls = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.ar.nls.GWMARL",LocaleUtils.getCurrentRequestLocale()); %>
			<%-- --------------------------------- SELECTED POOL TABLE  --------------------------------- --%>
			<TABLE width='100%' id='pools_table' summary='<%=nls.getString("UnassignPoolDedicatedHotSpare_SelectedPool_Table_Summary") %>' class='scm_DataTable' cellpadding='0' cellspacing='0'>
		    <THEAD>
		    <TR>
		    	<TH class="scm_DataTable_Header" width="20%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="poolname_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_StoragePool}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="20%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="raidlevel_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_RaidLevel}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="20%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="spare_header" styleClass="scm_outputText"value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_SpareCoverage}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="30%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="volumes_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_ExistingVolumes}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="30%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="total_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_TotalCapacity}"></h:outputText>
		    		</DIV>
		    	</TH>
		    </TR>
		    </THEAD>
		    <TBODY>
		    <TR class="scm_DataTable_Row">
		    	<%
		    	// If the pool cannot be resolved (is null) we want to show a table that indicates that
		    	if(selectedPool == null)
		    	{
		    	%>
			    <TD colspan="5">
					<h:outputText id="pool_not_found" value="#{bundle.UnassignDedicatedHotSpare_NoPool_Message}"></h:outputText>
				</TD>
				<%
				}
				else
				{
					// Here we have a valid pool, print its information
				%>
					<TD class="scm_DataTable_Column scm_outputText">
						<%= selectedPool.getPoolName() %>
					</TD>
					<TD class="scm_DataTable_Column scm_outputText">
						<%= selectedPool.getRaidLevel() %>
					</TD>
					<TD class="scm_DataTable_Column scm_outputText">
						<%= selectedPool.getSpareHTML() %>
					</TD>
					<TD class="scm_DataTable_Column scm_outputText" align="right">
						<%= selectedPool.getVolumeCount() %>
					</TD>
					<TD class="scm_DataTable_Column scm_outputText" align="right">
						<%= selectedPool.getTotalCapacityText() %>
					</TD>
				<%
				}
				%>
			</TR>
			</TBODY>
			</TABLE>
			
			<BR>
			<BR>
			
			<%-- --------------------------------- DISKS TABLE  --------------------------------- --%>
			
			<h:outputText id="disk_prompt_description" value="#{bundle.UnassignDedicatedHotSpare_Prompt_Description}" styleClass="scm_outputText"></h:outputText>
			
			<br>
			
			<h:outputText id="table_title" value="#{bundle.AssignDedicatedHotSpare_Title_Drives}" styleClass="scm_outputTextTitle2"></h:outputText>
			
			<div id="table_header_div" class="scm_DataTableHeader_Div">
			<TABLE width='100%' class='scm_DataTable' cellpadding='0' cellspacing='0' id="diskTableHeader"
	   			style="border-top: 0px; border-bottom: 0px; table-layout: fixed;">
	   		<colgroup>
				<col width="5%">
				</col>
				<col width="30%">
				</col>
				<col width="12%">
				</col>
				<col width="15%">
				</col>
				<col width="10%">
				</col>
				<col width="15%">
				</col>
				<col width="15%">
				</col>
			</colgroup>
    		<THEAD>
		    <TR>
		    	<TH class="scm_DataTable_Header" align="center" width="3%">
					<DIV style="overflow: hidden; width: 100%;">
    					&nbsp;
    				</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="30%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="logical_identifier_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_LogicalIdentifier}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="12%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="disk_status_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_Status}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="15%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="raw_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_RawGB}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="10%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="type_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_Type}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="15%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="state_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_State}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="15%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="protectedpools_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_ProtectedPools}"></h:outputText>
		    		</DIV>
		    	</TH>
		    </TR>
		    </THEAD>
    		</TABLE>
    		</div>
    		<div id="tablecontent_panel" style="width:100%; height:300px; overflow-y:auto">
    		
    		<TABLE width='100%' id='diskTable' class='scm_DataTable' summary='<%=nls.getString("UnassignPoolDedicatedHotSpare_DiskDrives_Table_Summary")%>' cellpadding='0' cellspacing='0' border='0'
     			style="border-top: 0px; table-layout: fixed;">
     		<colgroup>
				<col width="5%">
				</col>
				<col width="30%">
				</col>
				<col width="12%">
				</col>
				<col width="15%">
				</col>
				<col width="10%">
				</col>
				<col width="15%">
				</col>
				<col width="15%">
				</col>
			</colgroup>
     		<THEAD>
		    <TR class="scm_DataTable_Header scm_DataTable_Body_Header">
		    	<TH class="scm_DataTable_Header" align="center" width="5%">
					<DIV style="overflow: hidden; width: 100%;">
    					&nbsp;
    				</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="30%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="logical_identifier_tbody_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_LogicalIdentifier}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="12%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="disk_status_tbody_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_Status}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="15%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="raw_tbody_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_RawGB}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="10%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="type_tbody_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_Type}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="15%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="state_tbody_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_State}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="15%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="protectedpools_tbody_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_ProtectedPools}"></h:outputText>
		    		</DIV>
		    	</TH>
		    </TR>
		    </THEAD>
    		<TBODY>
	    	<%
	    	// If the pool cannot be resolved (is null) we want to show a table that indicates that
	    	if(spareDisks == null || spareDisks.length == 0)
	    	{
	    	%>
	    	<TR>
			    <TD colspan="7">
					<h:outputText id="disks_not_found" value="#{bundle.UnassignDedicatedHotSpare_NoAvailableDisks_Message}"></h:outputText>
				</TD>
			</TR>
			<%
			}
			else
			{
				// Here we have a valid disks, print its information
				for(int x = 0; x < spareDisks.length; x++)
				{
					String rowStyleClass = x % 2 == 0 ? "scm_DataTable_Row" : "scm_DataTable_RowGray";
			%>
			<TR class="<%= rowStyleClass %>">
				<TD class="scm_DataTable_Column scm_outputText" align="center" width="5%">
					<INPUT type="checkbox" name="selectedDisks" title="<%= spareDisks[x].getLogicalIdentifier() %>" value="<%= spareDisks[x].getId() %>" onclick="checkboxClicked(this, <%= x+1 %>)">
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" width="30%" align="center">
					<%= spareDisks[x].getLogicalIdentifier() %>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" width="12%" align="center">
					<IMG src="<%= spareDisks[x].getStatusImgPath() %>" style="vertical-align: middle" alt=""></IMG> <%= spareDisks[x].getStatusText() %>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" align="right"  width="15%">
					<%= spareDisks[x].getRawCapacityText() %>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" width="10%" align="center">
					<%= spareDisks[x].getType() %>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" width="15%" align="center">
					<IMG src="<%= spareDisks[x].getStateImgPath() %>" style="vertical-align: middle" alt=""></IMG> <%= spareDisks[x].getStateText() %>
				</TD>
				<TD class="scm_DataTable_Column scm_outputText" align="right" width="15%">
					<%= spareDisks[x].getProtectedPoolsCount() %>
				</TD>
			</TR>
			<%
				}
			}
			%>
			</TBODY>
			</TABLE>
			</div>
			
			<br>
			<br>
			<br>
			<table>
				<tbody>
					<tr>
					<td style="width:30%; padding-right:10px;">
						<hx:commandExButton styleClass="scm_button" id="ok_btn" value="#{bundle.Common_OK}" type="button" onclick="$('view:form1:unassign_spare_launcher').click();"></hx:commandExButton>
					</td>
					<td>
						<hx:commandExButton styleClass="scm_button" id="cancel_btn" value="#{bundle.Common_Cancel}" type="button" onclick="parent.getElementByIdSuffix('form1:dedicated_spare_cancel_btn', 'input').click();"></hx:commandExButton>
					</td>
					<td>
						<div id="loading_div" style="display:none;"><img
							src="images\loading\loading_large.gif" alt=""
							style="margin-bottom:-5px;"></img></div>
					</td>
					</tr>
				</tbody>
			</table>
			<br>
			<br>
			<%-- --------------------------------- HIDDEN POOL ID FIELD --------------------------------- --%>
			<input type="hidden" name="<%= PortletNavigator.PARAM_POOL_ID %>" value="<%= request.getParameter(PortletNavigator.PARAM_POOL_ID) %>">



			<%-- ********************   Ajax request to unassign spare  ************************ --%>
			<hx:commandExButton id="unassign_spare_launcher" type="button" value="Click" 
				style="display:none;">
				<hx:behavior id="unassign_spare_behavior" event="onclick" behaviorAction="get"
					targetAction="unassign_spare_panel"></hx:behavior>
			</hx:commandExButton>

			<h:panelGroup id="unassign_spare_panel" style="display:none;">
					<hx:ajaxRefreshSubmit id="unassign_spare_ajax_submit" 
						oncomplete="onUnassignSpareComplete();"
						onerror="onUnassignSpareError();"
						onstart="onUnassignSpareStart();">
					</hx:ajaxRefreshSubmit>
					<h:outputText id="unassign_succeed" value="#{unassignPoolDedicatedHotSpareBean.unassignSucceed}" style="display:none"></h:outputText>
			</h:panelGroup>


		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>