<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/Volumes.java" --%><%-- /jsf:pagecode --%>
<%@include file="/page/common/Header.jsp"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<BASE href="<%=basePath%>">
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<script type="text/javascript" src="page/common/DataTable.js"></script>
<script type="text/javascript" src="page/storage/Volumes.js"></script>
<TITLE>Volumes</TITLE>
</head>
<body onload="volumeObj.updateLastRefresh(); parent.parent.inlineMessagesAjaxObj.fetchMessages()">
<f:view>
	<hx:scriptCollector id="scriptCollector">
		<h:form id="form1">
			<div id="bodyDiv" style="height:450px;">
			<div id="header">
			<div style="width:100%;text-align:right;margin-bottom:2px"><h:outputText
				id="label_last_refresh" value="#{bundle.Common_Label_LastRefresh}"
				styleClass="scm_outputText"></h:outputText> <span
				id="last_refresh_timestamp" class="scm_outputText"></span></div>
			</div>
			<div id="main">
			<table style="width:100%;padding:5px 0px 7px 0px;"
				class="scm_DataTable_ActionArea">
				<tbody>
					<tr>
						<td><hx:commandExButton id="btn_create_volume"
							value="#{bundle.StorageVolumes_Button_Create_Volumes}"
							 styleClass="scm_button" type="button"
							onclick="volumeObj.onCreateVolume()"></hx:commandExButton></td>
						<td style="margin:0px 5px 0px 5px;" align="left"><hx:panelMenu
							flyOpen="false" id="actionmenu" styleClass="scm_actionMenu">
							<f:facet name="header">
								<h:panelGroup id="btn_group">
									<hx:commandExButton value="#{bundle.Common_Menu_Actions}"
										id="action_btn" styleClass="scm_actionMenu_Button"
										title="#{bundle.Common_Menu_Actions}"></hx:commandExButton>
									<hx:graphicImageEx value="/images/menu/sortdescon.gif"
										id="btn_img" styleClass="scm_actionMenu_Button_Icon" alt="#{bundle.Common_Menu_Actions}"></hx:graphicImageEx>
								</h:panelGroup>
							</f:facet>

							<hx:outputLinkEx value="javascript:;" id="properties_link"
								title="#{bundle.StorageVolumes_Menu_Properties}"
								onclick="">
								<h:outputText id="properties_text" styleClass="scm_outputText"
									value="#{bundle.StorageVolumes_Menu_Properties}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>

							<hx:outputSeparator id="separator1"></hx:outputSeparator>

							<hx:outputLinkEx value="javascript:;" id="create_volume_link"
								title="#{bundle.StorageVolumes_Menu_Create_Volumes}"
								onclick="volumeObj.onCreateVolume()">
								<h:outputText id="create_volume_text"
									styleClass="scm_outputText"
									value="#{bundle.StorageVolumes_Menu_Create_Volumes}"></h:outputText>
							</hx:outputLinkEx>

							<hx:outputLinkEx value="javascript:;" id="delete_volume_link"
								onclick=""
								title="#{bundle.StorageVolumes_Menu_Delete_Volumes}">
								<h:outputText id="delete_volume_text"
									styleClass="scm_outputText"
									value="#{bundle.StorageVolumes_Menu_Delete_Volumes}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>

							<hx:outputSeparator id="separator2"></hx:outputSeparator>

							<hx:outputLinkEx value="javascript:;" id="locate_drives_link"
								onclick=""
								title="#{bundle.StorageVolumes_Menu_Locate_Drives}">
								<h:outputText id="locate_drives_text"
									styleClass="scm_outputText"
									value="#{bundle.StorageVolumes_Menu_Locate_Drives}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
						</hx:panelMenu></td>
						<td align="right" style="width:100%;"><hx:commandExButton
							id="btn_refresh" value="#{bundle.Common_Button_Refresh}"
							 styleClass="scm_button"
							onclick="volumeObj.onClickRefreshBtn(this, event);"
							action="#{pc_Volumes.doRefreshBtnAction}"
							type="submit"></hx:commandExButton></td>
					</tr>
				</tbody>
			</table>
			<div id="table_header_div" class="scm_DataTableHeader_Div"> 
				<hx:dataTableEx
				id="volumes_table_header" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
				rendered="true">
				<hx:columnEx id="radio_col_header">
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_volume_name_header">
					<f:facet name="header">
							<h:outputText id="volume_name_header" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Volume}"></h:outputText>
					</f:facet>
					<f:attribute value="27%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_status_header">
					<f:facet name="header">
							<h:outputText id="status_header" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Status}"></h:outputText>
					</f:facet>
					<f:attribute value="15%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_capacity_header">
					<f:facet name="header">
							<h:outputText id="header_capacity" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Capacity}"></h:outputText>
					</f:facet>
					<f:attribute value="15%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_pool_header">
					<f:facet name="header">
							<h:outputText id="header_pool" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Pool}"></h:outputText>
					</f:facet>
					<f:attribute value="23%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_raidlevel_header">
					<f:facet name="header">
							<h:outputText id="header_raidlevel" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_RaidLevel}"></h:outputText>
					</f:facet>
					<f:attribute value="15%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx> 
			</div>
			<div id="tablecontent_panel" style="width:100%; height:280px; overflow-y:auto">
			<hx:dataTableEx
				id="volumes_table" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="border-top: 0px; table-layout: fixed;"
				summary="#{bundle.Storage_Volumes_Table_Summary}"
				value="#{storageVolumeBean.volumes}" var="volume" rendered="true">
				<hx:columnEx id="radio_col">
					<hx:inputRowSelect id="radio_cell" title="#{volume.displayName}" noscript="true"
						selectOne="false">
					</hx:inputRowSelect>
					<h:outputText id="volume_id"
						value="<input type='hidden' value='#{volume.volumeId}' style='display:none'/>"
						escape="false"></h:outputText>
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_volume_name">
					<f:facet name="header">
							<h:outputText id="volume_name_body_header" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Volume}"></h:outputText>
					</f:facet>
					<hx:outputLinkEx id="link_volume_name" value="javascript:;"
						onclick="volumeObj.onClickVolumeLink(this);"
						title="#{bundle.StorageVolumes_Volume_LinkTitle}"
						styleClass="scm_plainLink">
						<h:outputText id="cell_volume_name" value="#{volume.displayName}"
							styleClass="scm_outputText">
						</h:outputText>
					</hx:outputLinkEx>
					<f:attribute value="27%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_status">
					<f:facet name="header">
							<h:outputText id="status_body_header" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Status}"></h:outputText>
					</f:facet>
					<hx:graphicImageEx id="cell_status_img" rendered="#{!volume.statusNormal}"
						value="#{volume.statusImgPath}" alt="#{volume.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
					<hx:graphicImageEx id="cell_status_img_blank" rendered="#{volume.statusNormal}"
						value="/images/status/none_16.gif" alt="#{volume.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
					<h:outputText id="cell_status_text" styleClass="scm_outputText"
						value="#{volume.statusText}">
					</h:outputText>
					<f:attribute value="15%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_capacity">
					<f:facet name="header">
							<h:outputText id="capacity_body_header" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Capacity}"></h:outputText>
					</f:facet>
					<h:outputText id="cell_total" value="#{volume.totalCapacityText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="15%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_pool">
					<f:facet name="header">
							<h:outputText id="pool_body_header" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Pool}"></h:outputText>
					</f:facet>
					<h:outputText id="cell_pool" value="#{volume.parentPoolName}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="23%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_raidlevel">
					<f:facet name="header">
							<h:outputText id="raidlevel_body_header" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_RaidLevel}"></h:outputText>
					</f:facet>
					<h:outputText id="cell_raidlevel" value="#{volume.raidLevel}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="15%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx> 
			<hx:jspPanel id="norecord_panel"
				rendered="#{storageVolumeBean.noVolume}">
				<table
					style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
					<tr>
						<td><h:outputText id="norecords_desc"
					value="#{bundle.StorageVolumes_NoRecords_Description}"
					styleClass="scm_outputText"></h:outputText></td>
					</tr>
				</table>
			</hx:jspPanel>
			
			</div>
			</div>

			
			</div>
		</h:form>
		
		<%-- ***************Common Panel Dialog must include it out of the <h:form/> tag******************* --%>
		<jsp:include flush="true" page="/page/common/PanelDialog.jsp"></jsp:include>
		<jsp:include flush="true" page="/page/storage/EditVolumePropertiesShell.jsp"></jsp:include>
		<%-- ***************Locate Dialog ******************* --%>
		<jsp:include page="/page/allresources/LocateShell.jsp" flush="true"></jsp:include>
			
		<%-- ***************Hidden input/output area******************* --%>
		<h:outputText id="dialog_title" value="#{storageVolumeBean.propertyDialogTitle}" style="display:none"></h:outputText>
		<h:outputText id="edit_volume_dialog_title" value="#{storageVolumeBean.editVolumeDialogTitle}" style="display:none"></h:outputText>
		<h:outputText id="delete_volume_dialog_title" value="#{bundle.DeleteVolumes_Title}" style="display:none"></h:outputText>
		
	</hx:scriptCollector>
</f:view>
</body>
<script type="text/javascript">
	dataTableObj.init("view:form1:volumes_table", volumeObj.updateMenu, DataTable.MULTI);
	dataTableObj.initHeaderDivPaddingWidth("view:form1:volumes_table");
</script>
</html>
